﻿class BioActive extends BioAFComponent
    abstract
    native;

enum EInitalizeEventType
{
    EIET_None,
    EIET_Attacked,
    EIET_Cast,
};

var bool m_bUpdateOnShutdown;

var bool m_bBeingShutdown;

var() EInitalizeEventType m_InitalizationEventType;

native final private function InitializeInternal();

native function Initialize(Actor oOwner);

event Name GetEventTypeName()
{
    return 'BAD_BioActive_GetEventTypeName';
}

static event bool ValidSuperMode(EBioSuperModes eMode)
{
    if (eMode == 0)
    {
        return true;
    }
    return false;
}

native function bool EndActive();

native function bool StartActiveFromScript();

defaultproperties
{
    m_bUpdateOnShutdown=true
}
