﻿class BioAnimNodeBlendPerBone extends AnimNodeBlendPerBone
    hidecategories(Object,Object,Object)
    native;

enum EBoneBlendType
{
    BLENDTYPE_ALWAYS,
    BLENDTYPE_ALWAYS_BONE_SWITCH,
    BLENDTYPE_CROSSFADE_BONE_SWITCH,
    BLENDTYPE_SWITCH,
    BLENDTYPE_TOGGLE,
    BLENDTYPE_WEIGHT,
};

enum EBoneBlendTestType
{
    BLENDTESTTYPE_NONE,
    BLENDTESTTYPE_ANIM,
    BLENDTESTTYPE_BONE,
};

var bool m_bBoneSwitchOn;

var bool m_bNotifiedBlendComplete;

var() array<Name> BioBranchStartBoneName;

var() float FadeOutTime;

var() float FadeInTime;

var() float OverblendFactor;

var() EBoneBlendType BlendType;

var() Name BlendName;

defaultproperties
{
    BlendType=BLENDTYPE_TOGGLE
    FadeInTime=0,1
    FadeOutTime=0,33
    Children=None
}
