﻿class BioAnimNodeBlendScalar extends BioAnimNodeBlendBase
    hidecategories(Object,Object)
    native;

struct native BioScalarBlendParams
{
    var() float Min;

    var() float Peak;

    var() float Max;

}

struct native BioScalarPrecomputedValues
{
    var float fRangeLowerRatio;

    var float fRangeUpperRatio;

}

var array<BioScalarPrecomputedValues> m_aChildPrecomputes;

var String m_sDescription;

var float m_fTargetScalar;

var float m_fCurrentScalar;

var float m_fUnitsPerSecond;

var float m_fRangeMax;

var float m_fRangeMin;

var() float m_fBlendSpanTime;

var() float m_fBlendPctPerSecond;

var() bool m_bUseBlendSpanTime;

var() bool m_bBlendInstant;

var() array<BioScalarBlendParams> m_aChildBlendParams;

var(Behavior) /* 00000008 */ BioAnimNodeBlendScalarBehavior m_oBehavior;

defaultproperties
{
    bFixNumChildren=true
}
