﻿class BioAnimNodeBlendSpeed extends BioAnimNodeBlendBase
    hidecategories(Object,Object)
    native;

enum EBioAnim_SpeedType
{
    eBioAnim_SpeedStandard,
    eBioAnim_SpeedStarting,
    eBioAnim_SpeedSnapshot,
};

var float m_fStartCheckTime;

var bool m_bIsStarted;

var bool m_bIsStarting;

var float m_fCurrentSpeed;

var float m_fStartSpeed;

var() EBioAnim_SpeedType SpeedType;

var() float RunRateScaled;

var() float WalkRateScaled;

var() float RunSpeed;

var() float WalkSpeed;

var() float BlendTimeMoving;

var() float BlendTimeFromIdle;

var() float BlendTimeToIdle;

defaultproperties
{
    BlendTimeToIdle=0,2
    BlendTimeFromIdle=0,2
    BlendTimeMoving=0,2
    WalkSpeed=112,5
    RunSpeed=400
    WalkRateScaled=1
    RunRateScaled=1,5
    Children=None
}
