﻿class BioAnimNodeLocomotion extends AnimNodeBlendList
    hidecategories(Object,Object,Object)
    native;

enum EBioAnimNodeLocomotion
{
    eBioAnimNodeLocomotion_Idle,
    eBioAnimNodeLocomotion_MoveStart,
    eBioAnimNodeLocomotion_Moving,
    eBioAnimNodeLocomotion_MoveStop,
    eBioAnimNodeLocomotion_SkidTurn,
    eBioAnimNodeLocomotion_PoseHolder,
};

var transient float SliderSpeed;

var transient float SliderState;

var transient array<byte> BoneList;

var transient array<BoneAtom> BoneAtoms;

var transient BioAnimCheckBlendOut BlendOut;

var() const float StopToStartBlendDuration;

var() const float IdleToStartBlendDuration;

var() const float ToStopBlendDuration;

var() const float ToMovingBlendDuration;

var() const float ToIdleBlendDuration;

defaultproperties
{
    ToIdleBlendDuration=0,2
    ToMovingBlendDuration=0,2
    ToStopBlendDuration=0,2
    IdleToStartBlendDuration=0,2
    StopToStartBlendDuration=0,2
    Children=None
}
