﻿class BioAppearanceItemWeapon extends BioAppearanceItemSophisticated
    hidecategories(Object,Advanced,Collision,Movement,Debug)
    native;

var bool m_isEBioAppearanceItemWeaponVFXDamageEnumValid;

var Bio2DA m_vfxDamageEnum;

var Bio2DA m_vfxWeaponType;

var(Visual) array<BioAppearanceItemWeaponVFXSpec> m_vfxSpecs;

var(animation) AnimSet m_oPawnWeaponAnimations;

enum EBioAppearanceItemWeaponVFXDamageEnum
{
    BIO_APPEARANCE_ITEM_WEAPON_VFX_DAMAGE_ENUM_PLACEHOLDER,
};

struct native BioAppearanceItemWeaponVFXSpec
{
    var int m_type;

    var() transient EBioAppearanceItemWeaponVFXDamageEnum m_Damage;

    var() BioWeaponVFXAppearance m_appearance;

}

defaultproperties
{
    m_vfxWeaponType=Bio2DA'Default2DA'
    m_vfxDamageEnum=Bio2DA'Default2DA'
}
