﻿class BioArtPlaceableBlendByTransition extends AnimNodeBlend
    hidecategories(Object,Object,Object)
    native;

var AnimNodeSequence aState;

var AnimNodeSequence aTransition;

var bool bTransitionAllowed;

var bool bTransitioning;

function TransitionToState(Name TransAnim, Name LoopAnim)
{
    aTransition.SetAnim(TransAnim);
    aState.SetAnim(LoopAnim);
    bTransitioning = true;
    aTransition.PlayAnim(false);
    aState.PlayAnim(true);
}

function GotoToState(Name LoopAnim)
{
    bTransitioning = false;
    aState.SetAnim(LoopAnim);
    aState.PlayAnim(true);
}

defaultproperties
{
    bTransitionAllowed=true
    aTransition=AnimNodeSequence'anTransition'
    aState=AnimNodeSequence'anState'
    Children=None
    // child object anState of type AnimNodeSequence
    // child object anTransition of type AnimNodeSequence
}
