﻿class BioCustomAction_CombatActivate extends BioCustomAction
    config(Game);

var() BodyStance BS_CombatActivate;

function StartCustomAction()
{
    StartCustomAction();
    if (oPawn.PlayBodyStance(BS_CombatActivate, 1, 0, 0, false, true, true) != 0)
    {
        oPawn.SetBodyStanceAnimEndNotification(BS_CombatActivate, true);
        oPawn.Velocity = vect(0,0,0);
    }
}

function PauseCustomAction()
{
    oPawn.BS_PauseAnim(BS_CombatActivate);
}

function ContinueCustomAction()
{
    oPawn.BS_UnpauseAnim(BS_CombatActivate);
}

function StopCustomAction()
{
    StopCustomAction();
    oPawn.StopBodyStance(BS_CombatActivate, 0,2);
    oPawn.SetBodyStanceAnimEndNotification(BS_CombatActivate, false);
}

function BodyStanceAnimEndNotification(AnimNodeSequence SeqNode, float PlayedTime, float ExcessTime)
{
    if (SFXAI_Core(oPawn.Controller) != None)
    {
        SFXAI_Core(oPawn.Controller).EndCustomAction();
    }
}

defaultproperties
{
}
