﻿class BioDoor extends BioArtPlaceable
    hidecategories(Navigation)
    config(Game)
    native;

var bool m_bSaveStateWhenPlayerEntered;

var Pawn m_oPlayerWithinDoorProximity;

var() float m_fFarCloseDistance;

native function bool BioDoProximityCheck();

native function float CalcDistanceFromDoorPlane(const out Vector vWorldLocation);

defaultproperties
{
    m_fFarCloseDistance=1000
    FSM=BioFSMComponent'oFSM'
    m_pLightEnvComponent=DynamicLightEnvironmentComponent'LightEnvComponent0'
    Components=None
    // child object oBehavior of type BioArtPlaceableBehavior
    // child object oFSM of type BioFSMComponent
    // child object LightEnvComponent0 of type DynamicLightEnvironmentComponent
    // child object GPModule of type SFXGamePropertiesModule
}
