﻿class BioEvtSysTrackLookAt extends SFXGameActorInterpTrack
    hidecategories(Object)
    native
    collapsecategories;

struct native BioLookAtTrackData
{
    var() Name nmFindActor;

    var() EActorTrackFindActorMode eFindActorMode;

    var() bool bEnabled;

    var() float fDuration;

}

var() array<BioLookAtTrackData> m_aLookAtKeys;

static event bool AllowKeyNaming()
{
    return false;
}

static event String NewKeyDefaultName()
{
    return "LookAt";
}

static event String KeyDataArrayName()
{
    return "m_aLookAtKeys";
}

static event String KeyDataDisplayName()
{
    return "Look At";
}

static event String GetNewTrackSubMenuName()
{
    return "Bio Conversation";
}

defaultproperties
{
    TrackInstClass=None
    TrackTitle="Look At"
}
