﻿class BioGameEffectAttributeByte extends BioGameEffectAttribute
    hidecategories(Object)
    native
    editinlinenew;

var bool m_bZeroOnUnapply;

var() byte m_value;

native function Object Apply(Object oTarget);

native function Unapply(Object oTarget);

static event Create(BioGameProperty oProperty, byte Value, Name nmAttributeName, EBioGameEffectAttributeType eType, bool bZeroOnUnapply)
{
    local BioGameEffectAttributeByte oEffect;
    oEffect = new(oProperty,Class'BioGameEffectAttributeByte');
    oProperty.AddGameEffectToProperty(oEffect);
    oEffect.m_value = Value;
    oEffect.m_attributeName = nmAttributeName;
    oEffect.m_type = eType;
    oEffect.m_bZeroOnUnapply = bZeroOnUnapply;
}

defaultproperties
{
}
