﻿class BioGameEffectPoolAllocator extends Object
    config(Game)
    native;

var array<BioGameEffectAttributeInt> m_aGEAttributeInt;

var array<BioGameEffectAttributeFloat> m_aGEAttributeFloat;

var int m_nAllocatedInts;

var int m_nAllocatedFloats;

var config int m_nIntPoolSize;

var config int m_nFloatPoolSize;

native final function BioGameEffectAttributeFloat AllocateGEAttributeFloat();

native final function BioGameEffectAttributeInt AllocateGEAttributeInt();

native final function bool FreeGEAttributeFloat(BioGameEffect FloatGE);

native final function bool FreeGEAttributeInt(BioGameEffect IntGE);

defaultproperties
{
    m_nFloatPoolSize=100
    m_nIntPoolSize=100
}
