﻿class BioInterpolator extends Object
    native;

enum EBioInterpolationMethod
{
    BIO_INTERPOLATION_METHOD_LINEAR,
    BIO_INTERPOLATION_METHOD_LOG_E,
    BIO_INTERPOLATION_METHOD_QUARTER_SIN,
};

native static function InterpolateRotator(out Rotator output, EBioInterpolationMethod InterpolationMethod, Rotator Source, Rotator Target, float normalizedDisplacement);

native static function InterpolateVector(out Vector output, EBioInterpolationMethod InterpolationMethod, Vector Source, Vector Target, float normalizedDisplacement);

native static function InterpolateFloat(out float output, EBioInterpolationMethod InterpolationMethod, float Source, float Target, float normalizedDisplacement);

native static function InterpolateFloatCurve(out float output, const out InterpCurveFloat Curve, float Source, float Target, float normalizedDisplacement);

defaultproperties
{
}
