﻿class BioSeqAct_AbilityEnable extends SequenceAction
    hidecategories(Object)
    native;

var() Name m_nmSubType;

var() bool m_bEnable;

var() array<Pawn> m_aoPawns;

function Activated()
{
    local EDisableType eType;
    local int I;
    local BioEpicPawnBehavior oBehave;
    if (InputLinks[0].bHasImpulse == true)
    {
        eType = 0;
    }
    else
    {
        if (InputLinks[1].bHasImpulse == true)
        {
            eType = 1;
        }
        else
        {
            if (InputLinks[2].bHasImpulse == true)
            {
                eType = 2;
            }
        }
    }
    I = 0;
    while (I < m_aoPawns.Length)
    {
        oBehave = BioEpicPawnBehavior(m_aoPawns[I].oBioComponent);
        if (oBehave != None)
        {
            oBehave.AbilityEnable(m_bEnable, eType, m_nmSubType);
        }
        ++I;
    }
}

defaultproperties
{
    bCallHandler=false
    InputLinks=None
}
