﻿class BioSeqAct_ChangeAI extends SequenceAction
    hidecategories(Object);

var() bool SaveOldAIController;

var() class<BioAiController> ControllerClass;

var() Actor oPawn;

event Activated()
{
    local BioAiController oController;
    if (BioAiController(oPawn) != None)
    {
        oController = BioAiController(oPawn);
    }
    else
    {
        if (Pawn(oPawn) != None)
        {
            oController = BioAiController(Pawn(oPawn).Controller);
        }
    }
    if (oController != None)
    {
        oController.ChangeAI(ControllerClass, SaveOldAIController);
    }
    OutputLinks[0].bHasImpulse = true;
}

defaultproperties
{
    bCallHandler=false
    VariableLinks=None
}
