﻿class BioSeqAct_GetTalentRank extends SequenceAction
    hidecategories(Object);

enum EBioSeqActGetTalentRankInput
{
    EBioSeqActGetTalentRankInput_TalentID,
    EBioSeqActGetTalentRankInput_Pawn,
    EBioSeqActGetTalentRankInput_ResultRank,
};

enum EBioSeqActGetTalentRankOutput
{
    EBioSeqActGetTalentRankOutput_Success,
    EBioSeqActGetTalentRankOutput_Failure,
};

var int m_resultRank;

var BioPawn m_targetPawn;

var int m_TalentID;

function Activated()
{
    local bool wasSuccessful;
    local int talentRank;
    wasSuccessful = false;
    wasSuccessful = m_targetPawn.m_oBehavior.m_Talents.GetTalentRank(m_TalentID, talentRank);
    if (wasSuccessful)
    {
        m_resultRank = talentRank;
        OutputLinks[0].bHasImpulse = true;
    }
    else
    {
        OutputLinks[1].bHasImpulse = true;
    }
}

defaultproperties
{
    bManualHandleOutputs=true
    OutputLinks=None
}
