﻿class BioSeqAct_MovieBink extends BioSequenceLatentAction
    hidecategories(Object)
    native;

var transient bool m_bKeepTryingToPlay;

var bool m_bFiredBinkStartEvent;

var() WwiseEvent m_wwiseEvent;

var() String m_sMovieName;

event Activated()
{
    local BioPlayerController Controller;
    Activated();
    Controller = BioWorldInfo(GetWorldInfo()).GetLocalPlayerController();
    if (Controller != None)
    {
        Controller.GameModeManager2.EnableMode(8);
    }
    m_bFiredBinkStartEvent = false;
}

event Deactivated()
{
    local BioPlayerController Controller;
    local BioWorldInfo BWI;
    Deactivated();
    BWI = BioWorldInfo(GetWorldInfo());
    if (BWI != None)
    {
        Controller = BWI.GetLocalPlayerController();
        if (Controller != None)
        {
            Controller.GameModeManager2.DisableMode(8);
        }
    }
}

defaultproperties
{
    bManualHandleOutputs=true
    InputLinks=None
}
