﻿class BioSeqAct_SetActionState extends SequenceAction
    hidecategories(Object);

var() EActionStateVariable m_eActionState;

var() Actor m_oActor;

function Activated()
{
    local Controller oController;
    local Pawn oPawn;
    local PlayerController oPlayer;
    local BioEpicPawnBehavior oBehav;
    oPawn = Pawn(m_oActor);
    oPlayer = PlayerController(m_oActor);
    if (oPawn != None)
    {
        oController = oPawn.Controller;
    }
    if (oController == None && oPlayer != None)
    {
        oController = oPlayer;
    }
    if (oController != None)
    {
        oBehav = BioEpicPawnBehavior(oController.Pawn.oBioComponent);
        if (oBehav != None)
        {
            oBehav.SetActionState(m_eActionState);
        }
    }
}

defaultproperties
{
    VariableLinks=None
}
