﻿class BioTalent extends BioBaseComponent
    config(Game)
    native;

var /* 00000008 */ array<BioGameProperty> m_aGameProperties;

var bool m_bSpecializationAvailable;

var int m_nRank;

var int m_nID;

var const config int m_MAX_TALENT_RANK;

native function Initialize(int Id, int StartingRank);

native function int GetID();

native function int GetRank();

native function Apply(Object Target);

native function Unapply(Object Target);

native function ScaleToRank(int Rank);

native function AddGameProperty(BioGameProperty GameProperty);

defaultproperties
{
    m_MAX_TALENT_RANK=12
    m_nID=-1
}
