﻿class BioVisualEffectPool extends Object
    config(Game)
    native;

var transient array<BioVisualEffect> m_EffectPool;

var config float m_fDecayPeriod;

var transient float m_fTimeTillDecay;

var transient float m_fInstancePoolTimeAccumulator;

var transient int m_nInstancePoolCurrent;

var int m_nInstancePoolMax;

var float m_fInstancePoolRechargePeriod;

var bool m_bInstancePoolEnabled;

var transient BioVFXTemplate m_VFXTemplate;

var int m_nMaxEffectsInPool;

var int m_nMinEffectsInPool;

native function Initialize(BioVFXTemplate a_oTemplate, int nMaxNumEffects, int nMinNumEffects);

native function SetPoolSize(int a_nMaxSize, int a_nMinSize);

native function BioVisualEffect GetEffect();

native function PrimePoolEffects(optional int a_nNumEffects);

defaultproperties
{
    m_fDecayPeriod=60
}
