﻿class BioWorldSaveObject extends BioBaseSaveObject
    native;

struct native LevelLookup
{
    var String m_Name;

    var BioLevelSaveObject m_Save;

}

var BioBaseSaveObject m_WorldInfoSave;

var array<LevelLookup> m_Levels;

event BioLevelSaveObject GetLevelSaveObject(const out String LevelName, optional bool bRemove)
{
    local int Index;
    local BioLevelSaveObject ret;
    Index = m_Levels.Find('m_Name', LevelName);
    if (Index >= 0)
    {
        ret = m_Levels[Index].m_Save;
        if (bRemove == true)
        {
            m_Levels.Remove(Index, 1);
        }
        return ret;
    }
    return None;
}

defaultproperties
{
}
