﻿class SFXCustomAction_Headshot extends SFXCustomAction_DamageReaction
    config(Game);

function StartCustomAction()
{
    local BioPlayerController oCont;
    local BioPawn oPlayer;
    StartCustomAction();
    oCont = BioWorldInfo(oPawn.WorldInfo).GetLocalPlayerController();
    if (oCont != None)
    {
        oPlayer = BioPawn(oCont.Pawn);
    }
    if (oPlayer != None && SFXWeapon_Shotgun_Base(oPlayer.Weapon) == None)
    {
        SFXGame(oPlayer.WorldInfo.Game).TriggerVocalizationEvent(82, oPlayer, oPawn, 0);
    }
}

defaultproperties
{
    bRagdollOnFinish=true
    bRotateOnHit=true
    fReactionDuration=0
    ERootMotionMode=RMM_Translate
    ImpactScale=1,2
    PS_Impact=ParticleSystem'Blood_Red_CriticalHit_Misty'
}
