﻿class SFXCustomAction_PunchDeathKnockback extends SFXCustomAction_DamageReaction
    config(Game);

var float RagdollDuration;

function BodyStanceAnimEndNotification(AnimNodeSequence SeqNode, float PlayedTime, float ExcessTime)
{
    BodyStanceAnimEndNotification(SeqNode, PlayedTime, ExcessTime);
    oPawn.ClearTimer('CheckForRagdollRecovery');
    Class'BioPowerScriptDesign'.ApplyTemporaryGameEffect(oPawn, Class'SFXGameEffect_Ragdoll', RagdollDuration, 1, Name, Instigator);
}

defaultproperties
{
    RagdollDuration=2,5
    bAllowAnimInterrupt=false
    bRagdollOnFinish=true
    fReactionDuration=2
    ERootMotionMode=RMM_Translate
    ImpactScale=0,6
    PS_Impact=ParticleSystem'Generic_Material_Imp_Big'
    VocalizationEvent=SFXVocalizationEvent_ReceivedDamage
}
