﻿class SFXGameEffect_HealShieldOverTime extends SFXGameEffect
    hidecategories(Object);

function OnUpdate(float DeltaSeconds)
{
    local BioPawn oPawn;
    local float RegenAmount;
    local SFXShield_Base oShield;
    OnUpdate(DeltaSeconds);
    oPawn = BioPawn(Owner);
    if (oPawn == None)
    {
        return;
    }
    oShield = SFXShield_Base(oPawn.InvManager.FindInventoryType(Class'SFXShield_Base', true));
    if (oShield == None)
    {
        return;
    }
    RegenAmount = EffectValue * DeltaSeconds;
    oShield.CurrentShields = FMin(oPawn.GetMaxShields(), oShield.CurrentShields + RegenAmount);
}

defaultproperties
{
}
