﻿class SFXInterpTrackSetEnvEffectIntensity extends SFXGameInterpTrackCustom
    hidecategories(Object)
    config(Game)
    native
    collapsecategories;

struct native SFXEnvEffectIntensityTrackData
{
    var() float m_fIntensity;

    var() float m_fBlendTime;

}

var transient BioSeqAct_SetEnvironmentEffectIntensity m_EnvEffIntensitySeq;

var() array<SFXEnvEffectIntensityTrackData> m_aEnvEffIntKeyData;

static event bool AllowKeyNaming()
{
    return true;
}

static event String NewKeyDefaultName()
{
    return "SetEnvEffectIntensity";
}

static event String KeyDataArrayName()
{
    return "m_aEnvEffIntKeyData";
}

static event String KeyDataDisplayName()
{
    return "Env Effect Intensity";
}

defaultproperties
{
    TrackInstClass=None
    TrackTitle="Env Effect Intensity"
}
