﻿class SFXNav_PlayAnimWP extends SFXNav_WayPoint
    hidecategories(Navigation,Lighting,LightColor,Force)
    placeable;

var(Waypoint) EBodyStance eStance;

var(Waypoint) Name AnimName;

function bool OnPawnReachedWayPoint(Pawn oPawn)
{
    local bool bPause;
    local SFXAI_Ambient oAI;
    bPause = OnPawnReachedWayPoint(oPawn);
    if (oPawn != None)
    {
        oAI = SFXAI_Ambient(oPawn.Controller);
        if (oAI != None)
        {
            oAI.PlayWaypointAnim(AnimName, eStance);
        }
    }
    return bPause;
}

defaultproperties
{
    m_bMaintainVelocity=false
    CylinderComponent=None
    Components=None
    2=System.Byte[]
    // child object CollisionCylinder of type CylinderComponent
}
