﻿class SFXSeqAct_DefendActor extends SequenceAction
    hidecategories(Object);

var() float MaxDistanceFromActor;

var() Actor ActorToDefend;

var() array<Pawn> Henchmen;

function Activated()
{
    local Pawn oPawn;
    local SFXAI_Henchman oController;
    local int nIndex;
    nIndex = 0;
    while (nIndex < Henchmen.Length)
    {
        oPawn = Henchmen[nIndex];
        if (oPawn != None)
        {
            oController = SFXAI_Henchman(oPawn.Controller);
            if (oController != None)
            {
                if (InputLinks[0].bHasImpulse)
                {
                    oController.StartDefendingActor(ActorToDefend, MaxDistanceFromActor);
                }
                else
                {
                    oController.StopDefendingActor();
                }
            }
        }
        nIndex++;
    }
}

defaultproperties
{
    bCallHandler=false
    InputLinks=None
}
