﻿class BioAnimNodeBlendByAction extends AnimNodeBlendList
    hidecategories(Object,Object,Object)
    native;

enum EBioActionAnimNode
{
    ACTION_ANIM_NODE_POSTURE,
    ACTION_ANIM_NODE_MOUNT,
    ACTION_ANIM_NODE_HESITATE,
    ACTION_ANIM_NODE_FALL,
    ACTION_ANIM_NODE_BIOTIC,
    ACTION_ANIM_NODE_DEATH,
    ACTION_ANIM_NODE_DIE,
    ACTION_ANIM_NODE_TECH,
    ACTION_ANIM_NODE_MATINEE,
    ACTION_ANIM_NODE_GETUP,
    ACTION_ANIM_NODE_GESTURES,
};

const BIO_ACTION_ANIM_NODE_COUNT = 11;
var() BlendTime m_aBlendTimeFromGestures[11];

var() BlendTime m_aBlendTimeFromGetUpNode[11];

var() BlendTime m_aBlendTimeFromMatineeNode[11];

var() BlendTime m_aBlendTimeFromTechNode[11];

var() BlendTime m_aBlendTimeFromDieNode[11];

var() BlendTime m_aBlendTimeFromDeathNode[11];

var() BlendTime m_aBlendTimeFromBioticNode[11];

var() BlendTime m_aBlendTimeFromFallNode[11];

var() BlendTime m_aBlendTimeFromHesitateNode[11];

var() BlendTime m_aBlendTimeFromMountNode[11];

var() BlendTime m_aBlendTimeFromPostureNode[11];

var transient bool m_bFallingAvailable;

var transient bool m_bHesitateAvailable;

var transient EBioActionAnimNode m_eCurrentAnimNode;

struct native BlendTime
{
    var() const EBioActionAnimNode m_eAnimNode;

    var() float m_fTime;

}

defaultproperties
{
    Children=None
}
