﻿class BioAnimNodeBlendByAim extends AnimNodeBlendBase
    hidecategories(Object,Object)
    native;

enum EBioAnimNodeBlendByAim
{
    eBioAnimNodeBlendByAim_LevelFront,
    eBioAnimNodeBlendByAim_LevelLeft,
    eBioAnimNodeBlendByAim_LevelRight,
    eBioAnimNodeBlendByAim_UpFront,
    eBioAnimNodeBlendByAim_UpLeft,
    eBioAnimNodeBlendByAim_UpRight,
    eBioAnimNodeBlendByAim_DownFront,
    eBioAnimNodeBlendByAim_DownLeft,
    eBioAnimNodeBlendByAim_DownRight,
};

struct native BioAnimNodeBlendByAimLimits
{
    var() const float DegreesLeft;

    var() const float DegreesRight;

    var() const float DegreesUp;

    var() const float DegreesDown;

}

var transient float SliderPitch;

var transient float SliderYaw;

var transient BioAnimCheckBlendOut BlendOut;

var() transient bool bUseMirrored;

var transient float RemainingBlendDuration;

var transient float Pitch;

var transient float Yaw;

var() const float YawRate;

var() const float AimBlendOutDuration;

var() const BioAnimNodeBlendByAimLimits LimitsMirrored;

var() const BioAnimNodeBlendByAimLimits LimitsDefault;

defaultproperties
{
    AimBlendOutDuration=0,3
    YawRate=540
    Children=None
}
