﻿class BioAnimNodeBlendScalarMovementBehavior extends BioAnimNodeBlendScalarBehavior
    hidecategories(Object)
    native
    editinlinenew;

enum EBioAnimNodeBlendScalarMovementBehavior
{
    BScMv_None,
    BScMv_TurnAngle,
    BScMv_SpeedVelocity,
    BScMv_SpeedTacticalVelocity,
    BScMv_AxisDirection,
};

enum EBioAnimNodeBlendScalarMoveSpeedStates
{
    BScMvSS_Idle,
    BScMvSS_Walk,
    BScMvSS_Run,
    BScMvSS_Sprint,
};

enum EBioAnimNodeBlendScalarMoveAxis
{
    BScMvAxis_All,
    BScMvAxis_2D,
    BScMvAxis_X,
    BScMvAxis_Y,
    BScMvAxis_Z,
};

enum EBioAnimNodeBlendScalarMoveAxisDir
{
    BScMvAxisDir_X,
    BScMvAxisDir_Y,
    BScMvAxisDir_Z,
};

enum EBioAnimNodeBlendScalarMoveAxisDirMode
{
    BScMvAxisDirMode_WorldRotation,
    BScMvAxisDirMode_WorldVelDir,
    BScMvAxisDirMode_WorldAccelDir,
    BScMvAxisDirMode_LocalVelDir,
    BScMvAxisDirMode_LocalAccelDir,
};

var(Speed) bool bUseLocalSpace;

var(Speed) bool bUseSnapshotStartSpeed;

var(Speed) bool bUseSnapshotSpeed;

var(Speed) bool bUseSprint;

var(AxisDir) EBioAnimNodeBlendScalarMoveAxisDirMode AxisDirMode;

var(AxisDir) EBioAnimNodeBlendScalarMoveAxisDir AxisDir;

var(Speed) EBioAnimNodeBlendScalarMoveAxis MoveAxis;

var(Movement) EBioAnimNodeBlendScalarMovementBehavior MovementBehavior;

defaultproperties
{
    AxisDirMode=BScMvAxisDirMode_LocalVelDir
    m_aNodeDefinitions=System.Byte[]
}
