﻿class BioAnimNodeCombatMode extends BioAnimNodeBlendBase
    hidecategories(Object,Object)
    native;

enum EBioAnimNodeCombatModeChild
{
    BIO_ANIM_NODE_COMBAT_MODE_CHILD_NONCOMBAT,
    BIO_ANIM_NODE_COMBAT_MODE_CHILD_COMBAT,
    BIO_ANIM_NODE_COMBAT_MODE_CHILD_ENTERCOMBAT,
    BIO_ANIM_NODE_COMBAT_MODE_CHILD_EXITCOMBAT,
};

enum EBioAnimNodeCombatModeState
{
    BIO_ANIM_NODE_COMBAT_MODE_STATE_NONCOMBAT,
    BIO_ANIM_NODE_COMBAT_MODE_STATE_COMBAT,
    BIO_ANIM_NODE_COMBAT_MODE_STATE_ANIMATING_TO_COMBAT,
    BIO_ANIM_NODE_COMBAT_MODE_STATE_ANIMATING_TO_NONCOMBAT,
    BIO_ANIM_NODE_COMBAT_MODE_STATE_BLENDING_TO_COMBAT,
    BIO_ANIM_NODE_COMBAT_MODE_STATE_BLENDING_TO_NONCOMBAT,
};

var bool m_isInitialStateDetermined;

var EBioAnimNodeCombatModeState m_currentState;

var() float m_blendFromCombatToNonCombatDuration;

var() float m_blendFromNonCombatToCombatDuration;

var() float m_blendOutOfTransitionDuration;

var() float m_blendIntoTransitionDuration;

defaultproperties
{
    m_blendIntoTransitionDuration=0,2
    m_blendOutOfTransitionDuration=0,2
    m_blendFromNonCombatToCombatDuration=0,2
    m_blendFromCombatToNonCombatDuration=0,2
    Children=None
}
