﻿class BioAnimNodeLocomotionStart extends AnimNodeBlendBase
    hidecategories(Object,Object)
    native;

enum EBioAnimNodeLocomotionStart
{
    eBioAnimNodeLocomotionStart_ForwardRight,
    eBioAnimNodeLocomotionStart_ForwardLeft,
    eBioAnimNodeLocomotionStart_Right,
    eBioAnimNodeLocomotionStart_Left,
    eBioAnimNodeLocomotionStart_BackwardRight,
    eBioAnimNodeLocomotionStart_BackwardLeft,
};

var transient float SliderDirAngle;

var transient int StateTag;

var transient float BlendAngle;

var transient bool bOverrideRMR;

var transient bool bOverrideRMM;

var transient bool bBlendingOut;

var transient BioAnimCheckBlendOut BlendOut;

var transient BioAnimMovementSync MovementSync;

var() const float LeftFootNormalizedRange[2];

var() const float FreeRotationRelPos[6];

var() const float BlendOutRelPos[6];

var() const Name SynchGroupName;

defaultproperties
{
    BlendOutRelPos=1
    BlendOutRelPos=1
    BlendOutRelPos=1
    BlendOutRelPos=1
    BlendOutRelPos=1
    BlendOutRelPos=1
    FreeRotationRelPos=0,6
    FreeRotationRelPos=0,6
    FreeRotationRelPos=0,6
    FreeRotationRelPos=0,6
    FreeRotationRelPos=0,6
    FreeRotationRelPos=0,6
    LeftFootNormalizedRange=0,6
    Children=None
}
