﻿class BioArtPlaceableType extends BioInteractiveActorType
    hidecategories(Object)
    abstract
    native;

enum eMateralVariation
{
    APMV,
    APMV,
    APMV,
    APMV,
    APMV,
    APMV,
    APMV,
    APMV,
    APMV,
};

enum eBioAPLUseCase
{
    APL_USE_TOGGLE,
    APL_USE_STATE0,
    APL_USE_STATE1,
    APL_USE_ELECTRONICS,
    APL_USE_DECRYPT,
    APL_USE_PROXIMITY,
    APL_USE_PROXIMITY_ENTER,
    APL_USE_PROXIMITY_EXIT,
};

enum eArtPlaceableRole
{
    APR_NONE,
};

enum eArtPlaceableStates
{
    APL_FSM_STATE_NONE,
};

var(Role) BioArtPlaceableRoles m_RoleData;

var(Use) Name DefaultInertState;

var Name OnUseFail;

var Name OnUseSucceed;

var Name DefaultStartingState;

var(Role) bool m_bIsDeletable;

var(Role) bool m_bIsMovable;

var(Role) bool m_bIsStatic;

var(Role) bool m_bAllowRoleCustomization;

var(Container) bool m_bIsContainer;

var(Physics) bool m_bPhysicsFixedAnimated;

var(Physics) bool m_bPhysicsAffectableOnDestroyed;

var(Physics) bool m_bPhysicsAffectable;

var(Use) bool bPlayerOnly;

var(Role) eArtPlaceableRole m_eRole;

var(Use) EBioSkillGameDifficulty m_SkillDifficulty;

var(Use) eArtPlaceableStates m_State1;

var(Use) eArtPlaceableStates m_State0;

var eArtPlaceableStates m_InertState;

var(Use) eArtPlaceableStates m_StartingState;

var(Use) eBioAPLUseCase m_eUseCase;

var Name m_nmDamagedState;

var Name m_nmDestroyedState;

var(Appearance) BioBaseAppearancePlaceable m_oApperance;

native function ApplyRole(int nNewRole, optional BioArtPlaceableBehavior oBehave);

native function AllowRoleCustomization(bool bYes);

native function ApplyRoleToBehavior(BioArtPlaceableBehavior oBehave);

defaultproperties
{
    m_nmDestroyedState=Destroyed
    m_nmDamagedState=Damaged
    m_bAllowRoleCustomization=true
    m_bIsMovable=true
    m_bIsDeletable=true
    m_RoleData=BioArtPlaceableRoles'DefaultArtPlaceableRoles'
    m_bTargetable=false
}
