﻿class BioCustomAction_CoverMantle extends BioCustomAction_CoverClimbMantleBase
    config(Game);

var transient array<Actor> aBumpList;

var transient Vector vStartLocation;

function StartCustomAction()
{
    vStartLocation = oPawn.Location;
    StartCustomAction();
}

function StopCustomAction()
{
    local Vector vDir2D;
    StopCustomAction();
    if (BioPlayerController(oPawn.Controller) != None)
    {
        if (aBumpList.Length != 0)
        {
            vDir2D = oPawn.Location - vStartLocation;
            vDir2D.Z = 0;
            vDir2D = Normal(vDir2D);
            oPawn.Acceleration = 1000 * vDir2D;
        }
        aBumpList.Length = 0;
    }
}

function BodyStanceAnimEndNotification(AnimNodeSequence SeqNode, float PlayedTime, float ExcessTime)
{
    BodyStanceAnimEndNotification(SeqNode, PlayedTime, ExcessTime);
}

function bool NotifyBump(Actor Other, Vector HitNormal)
{
    local Vector vDir;
    vDir = Other.Location - vStartLocation;
    if (BioPawn(Other) != None)
    {
        BioPawn(Other).TryStagger(vDir, oPawn.Controller);
        if (aBumpList.Find(Other) == -1)
        {
            aBumpList.AddItem(Other);
        }
    }
    return true;
}

defaultproperties
{
}
