﻿class BioCustomAction_PraetorianTeleport extends BioCustomAction
    config(Game)
    abstract;

var() BodyStance BS_TeleportAction;

function StartCustomAction()
{
    StartCustomAction();
    if (oPawn.PlayBodyStance(BS_TeleportAction, 1, 0,2, 0, false, true, true) != 0)
    {
        oPawn.SetBodyStanceAnimEndNotification(BS_TeleportAction, true);
        oPawn.SetBodyStanceRootBoneAxisOption(BS_TeleportAction, 2, 2);
    }
}

function StopCustomAction()
{
    StopCustomAction();
    oPawn.Mesh.RootMotionMode = oPawn.Mesh.Default.RootMotionMode;
    oPawn.StopBodyStance(BS_TeleportAction, 0,2);
    oPawn.SetBodyStanceAnimEndNotification(BS_TeleportAction, false);
    oPawn.SetBodyStanceRootBoneAxisOption(BS_TeleportAction, 1, 1, 1);
}

function BodyStanceAnimEndNotification(AnimNodeSequence SeqNode, float PlayedTime, float ExcessTime)
{
    oPawn.Mesh.RootMotionMode = oPawn.Mesh.Default.RootMotionMode;
    oPawn.SetBodyStanceRootBoneAxisOption(BS_TeleportAction, 1, 1, 1);
    if (SFXPlayerController(oPawn.Controller) != None)
    {
        SFXPlayerController(oPawn.Controller).EndCustomAction();
    }
    else
    {
        if (SFXAI_Core(oPawn.Controller) != None)
        {
            SFXAI_Core(oPawn.Controller).EndCustomAction();
        }
    }
}

defaultproperties
{
}
