﻿class BioEvtSysTrackSwitchCamera extends SFXGameInterpTrack
    hidecategories(Object)
    native
    collapsecategories;

enum EBioSwitchCamSpecific
{
    SwitchCam_Unset,
};

struct native BioCameraSwitchData
{
    var() bool bForceCrossingLineOfAction;

    var() Name nmExplicitCamera;

    var() int nIntimacy;

    var() EBioCommonStageCameras eStandardCamera;

    var() EBioSwitchCamSpecific eStageSpecificCamera;

    var Name nmStageSpecificCam;

    var() bool bUseForNextCamera;

}

var transient bool m_bSpecificCamLoaded;

var() array<BioCameraSwitchData> m_aCameras;

static event bool AllowKeyNaming()
{
    return false;
}

static event String NewKeyDefaultName()
{
    return "Camera";
}

static event String KeyDataArrayName()
{
    return "m_aCameras";
}

static event String KeyDataDisplayName()
{
    return "Camera Data";
}

static event String GetNewTrackSubMenuName()
{
    return "Bio Conversation";
}

defaultproperties
{
    TrackInstClass=None
    TrackTitle="Switch Camera"
    bOnePerGroup=true
}
