﻿class BioGamePropertyImporter extends BioBaseComponent
    native;

enum EBioCharacterImporterGameProperty2DA
{
    GAMEPROP_IMPORTER_2DA_GAMEPROPERTY_GAMEPROPERTIES,
    GAMEPROP_IMPORTER_2DA_GAMEPROPERTY_CONDITIONALS,
    GAMEPROP_IMPORTER_2DA_GAMEPROPERTY_GAMEPROPERTY_CONDITIONALS,
    GAMEPROP_IMPORTER_2DA_GAMEPROPERTY_GAMEEFFECTS,
    GAMEPROP_IMPORTER_2DA_GAMEPROPERTY_EVENTSETS,
};

struct native BioGPLoadData
{
    var Object oOwner;

    var BioGamePropertyContainer oContainer;

    var int nGamePropId;

    var Bio2DA oFXLevelTable;

    var int m_nPowerLevel;

    var array<int> aEffectLevelRows;

    var int m_nMaxRanks;

}

var transient bool m_bDefault2DAsLoaded;

var Bio2DA m_aGameProperty2DA[5];

var Name m_aGameProperty2DANames[5];

var Name m_nmGameProperty2DAPackage;

native static function BioGameProperty LoadGameProperty(const out BioGPLoadData oGPData);

defaultproperties
{
    m_nmGameProperty2DAPackage=BIOG_2DA_GameProperties_X
    m_aGameProperty2DANames=GameProperty_GameProperties
    m_aGameProperty2DANames=GameProperty_Conditionals
    m_aGameProperty2DANames=GameProperty_GamePropertyConditionals
    m_aGameProperty2DANames=GameProperty_GameEffects
    m_aGameProperty2DANames=GameProperty_EventSets
}
