﻿class BioMaterialOverrideSaveObject extends BioBaseSaveObject;

var() array<ScalarParameter> m_aScalarOverrides;

var() array<ColorParameter> m_aColorOverrides;

var() array<TextureParameter> m_aTextureOverrides;

function SaveObject(Object O)
{
    local int I;
    local BioMaterialOverride Material;
    Material = BioMaterialOverride(O);
    m_aTextureOverrides.Length = 0;
    I = 0;
    while (I < Material.m_aTextureOverrides.Length)
    {
        m_aTextureOverrides.AddItem(Material.m_aTextureOverrides[I]);
        ++I;
    }
    m_aColorOverrides.Length = 0;
    I = 0;
    while (I < Material.m_aColorOverrides.Length)
    {
        m_aColorOverrides.AddItem(Material.m_aColorOverrides[I]);
        ++I;
    }
    m_aScalarOverrides.Length = 0;
    I = 0;
    while (I < Material.m_aScalarOverrides.Length)
    {
        m_aScalarOverrides.AddItem(Material.m_aScalarOverrides[I]);
        ++I;
    }
    SaveObject(O);
}

function LoadObject(Object O)
{
    local int I;
    local BioMaterialOverride Material;
    LoadObject(O);
    Material = BioMaterialOverride(O);
    Material.m_aTextureOverrides.Length = 0;
    I = 0;
    while (I < m_aTextureOverrides.Length)
    {
        Material.m_aTextureOverrides.AddItem(m_aTextureOverrides[I]);
        ++I;
    }
    Material.m_aColorOverrides.Length = 0;
    I = 0;
    while (I < m_aColorOverrides.Length)
    {
        Material.m_aColorOverrides.AddItem(m_aColorOverrides[I]);
        ++I;
    }
    Material.m_aScalarOverrides.Length = 0;
    I = 0;
    while (I < m_aScalarOverrides.Length)
    {
        Material.m_aScalarOverrides.AddItem(m_aScalarOverrides[I]);
        ++I;
    }
}

defaultproperties
{
}
