﻿class BioSFHandler_DataCodex extends BioSFHandler
    config(UI)
    transient
    native;

struct native DataCodexEntryDetails
{
    var int nSectionID;

    var String sName;

    var bool bUpdated;

    var Pointer pEntry;

}

struct native CodexImageDetails
{
    var int nID;

    var String sName;

    var Texture2D oTexture;

}

var Package m_pImagePackage;

// srMarkAllCompleteMessageCancel: StringRefProperty[44]
// srMarkAllCompleteMessageConfirm: StringRefProperty[44]
// srMarkAllCompleteMessage: StringRefProperty[44]
var config String sExternalTextureLink;

var config String sDefaultCodexImage;

var config float fVoiceOverCancelFadeOut;

var config float fVoiceOverDelay;

var config array<CodexImageDetails> lstImages;

var /* 00000008 */ transient WwiseAudioComponent m_oVoiceOver;

var float m_fTimeUntilVoiceOver;

var int m_nVoiceOverPage;

var bool m_bAnalogScroll;

var float m_fScrollValue;

var array<DataCodexEntryDetails> lstSections;

native function MarkAllSectionsViewed();

native function OnInitialize();

native function OnSetAllItemsViewed();

native function OnSortItems();

native function OnEnteredItem(int nSection);

native function OnExitedItem();

native function OnExpandItem(int nSection);

native function OnEnteredSubItem(int nSection, int nPage);

native function OnSwapTabs();

defaultproperties
{
    m_bAnalogScroll=true
    lstImages=System.Byte[]
    fVoiceOverDelay=0,5
    fVoiceOverCancelFadeOut=0,25
    sDefaultCodexImage="GUI_Codex_images.PDAComputerLogo_512"
    sExternalTextureLink="MassEffect01"
    srMarkAllCompleteMessage=System.Byte[]
    srMarkAllCompleteMessageConfirm=System.Byte[]
    srMarkAllCompleteMessageCancel=System.Byte[]
    nHandlerID=16
}
