﻿class BioSFHandler_SelectCharacter extends BioSFHandler
    transient;

const InitializeSelectCharacter = 1;
const DeleteCharacter = 2;
const ResumeGame = 3;
const NextCharacter = 4;
const PrevCharacter = 5;
const back = 6;
const NewCharacter = 7;
const DeleteCharacterConfirm = 8;
const CloseConfirm = 9;
function HandleEvent(byte nCommand, const out array<String> lstArguments)
{
    local BioSFHandler_NewCharacter oNCHandler;
    local BioSFPanel oNewPanel;
    switch (nCommand)
    {
        case 3:
            break;
        case 4:
            UpdateCharacterData();
            break;
        case 5:
            UpdateCharacterData();
            break;
        case 1:
            UpdateCharacterData();
            break;
        case 7:
            oNewPanel = oPanel.oParentManager.CreatePanel('NewCharacter', true);
            oNewPanel.bFullScreen = true;
            oNCHandler = BioSFHandler_NewCharacter(oNewPanel.GetDefaultHandler());
            oNCHandler.bOpenedFromMainMenu = false;
            break;
        case 2:
            break;
        case 8:
            if (DoCharactersExist())
            {
                oNewPanel = oPanel.oParentManager.CreatePanel('NewCharacter', true);
                oNewPanel.bFullScreen = true;
                oNCHandler = BioSFHandler_NewCharacter(oNewPanel.GetDefaultHandler());
                oNCHandler.bOpenedFromMainMenu = true;
            }
            else
            {
                UpdateCharacterData();
            }
            break;
        case 9:
            break;
        case 6:
            oNewPanel = oPanel.oParentManager.CreatePanel('MainMenu', true);
            oNewPanel.bFullScreen = true;
            oPanel.oParentManager.RemovePanel(oPanel, true);
            break;
    }
}

final function bool DoCharactersExist()
{
    return false;
}

final function UpdateCharacterData()
{
    local ASParams stParam;
    local array<ASParams> lstParams;
    stParam.Type = 2;
    stParam.sVar = "";
    lstParams.AddItem(stParam);
    stParam.sVar = "";
    lstParams.AddItem(stParam);
    stParam.sVar = "";
    lstParams.AddItem(stParam);
    stParam.Type = 0;
    stParam.nVar = 0;
    lstParams.AddItem(stParam);
    stParam.Type = 2;
    stParam.sVar = "";
    lstParams.AddItem(stParam);
    stParam.sVar = "";
    lstParams.AddItem(stParam);
    stParam.sVar = "";
    lstParams.AddItem(stParam);
    oPanel.InvokeMethodArgs("setCharacterInfo", lstParams);
}

defaultproperties
{
    nHandlerID=10
}
