﻿class BioSeqAct_AddPlaypenVolume extends SequenceAction
    hidecategories(Object);

var() Actor Squad;

var() array<Actor> Volumes;

function Activated()
{
    local int Index;
    local int SquadVolumesIndex;
    local BioBaseSquad TestSquad;
    local BioPlaypenVolume TestVolume;
    local bool bSubtractiveVolumeAdded;
    local bool bExistingPlaypen;
    local int nOriginalCount;
    TestSquad = BioBaseSquad(Squad);
    if (TestSquad == None)
    {
        return;
    }
    nOriginalCount = TestSquad.PlaypenVolumes.Length;
    Index = 0;
    while (Index < Volumes.Length)
    {
        TestVolume = BioPlaypenVolume(Volumes[Index]);
        if (TestVolume != None)
        {
            bExistingPlaypen = false;
            SquadVolumesIndex = 0;
            while (SquadVolumesIndex < TestSquad.PlaypenVolumes.Length)
            {
                if (TestSquad.PlaypenVolumes[SquadVolumesIndex] == TestVolume)
                {
                    bExistingPlaypen = true;
                    break;
                }
                SquadVolumesIndex++;
            }
            if (!bExistingPlaypen)
            {
                TestSquad.PlaypenVolumes.AddItem(TestVolume);
                if (TestVolume.bSubtractive)
                {
                    bSubtractiveVolumeAdded = true;
                }
            }
        }
        Index++;
    }
    if (nOriginalCount == 0 && TestSquad.PlaypenVolumes.Length > 0 || bSubtractiveVolumeAdded)
    {
        TestSquad.UpdatePlaypen();
        TestSquad.NotifyPlaypenChanged();
    }
}

defaultproperties
{
    bCallHandler=false
    VariableLinks=None
}
