﻿class BioSeqAct_BioToggleCinematicMode extends SeqAct_ToggleCinematicMode
    hidecategories(Object);

var() String sSkipEvent;

var() bool m_bEnterCombatModeOnEnd;

var() bool bDisableCinematicSkip;

var() bool bCinematicInputMode;

function Activated()
{
    local BioWorldInfo oBioInfo;
    local BioPlayerController oPlayerController;
    local BioPlayerInput pInput;
    local SFXPawn_Player pPlayer;
    oBioInfo = BioWorldInfo(GetWorldInfo());
    oPlayerController = oBioInfo.GetLocalPlayerController();
    oPlayerController.OnToggleCinematicMode(self);
    if (bCinematicInputMode)
    {
        oBioInfo.Game.SetGameSpeed(1);
        oBioInfo.m_bCinematicSkip = false;
        oBioInfo.m_bDisableCinematicSkip = bDisableCinematicSkip;
        oBioInfo.m_sCinematicSkipEvent = sSkipEvent;
        oBioInfo.SetRenderStateOfPlayerToDefault(0);
        if (!oPlayerController.bCinematicMode)
        {
            if (oPlayerController != None && m_bEnterCombatModeOnEnd)
            {
                pInput = BioPlayerInput(oPlayerController.PlayerInput);
                pPlayer = SFXPawn_Player(oPlayerController.Pawn);
                if (pInput != None && pInput.IsCombatEnabled() && pPlayer.m_oBehavior != None)
                {
                    pPlayer.SetCombatState(true);
                }
            }
        }
    }
}

defaultproperties
{
    bCinematicInputMode=true
    m_bEnterCombatModeOnEnd=true
    ObjName="Toggle BioCinematic Mode"
}
