﻿class BioSeqAct_CauseDamage extends SequenceAction
    hidecategories(Object);

var() bool bForceCinematicDamage;

var Actor InstigatorController;

var() float MomentumScale;

var() class<SFXDamageType> DamageType;

var() float DamageAmount;

var() /* 00000008 */ BioDamageType m_pDamage;

function Activated()
{
    local Controller Instigator;
    local BioWorldInfo WorldInfo;
    local Object ChkObject;
    local Actor ChkTarget;
    local Vector Momentum;
    Instigator = Controller(InstigatorController);
    if (Pawn(InstigatorController) != None)
    {
        Instigator = Pawn(InstigatorController).Controller;
    }
    WorldInfo = BioWorldInfo(GetWorldInfo());
    WorldInfo.m_bForceCinematicDamage = bForceCinematicDamage;
    foreach Targets(ChkObject)
    {
        ChkTarget = Actor(ChkObject);
        if (Controller(ChkObject) != None)
        {
            ChkTarget = Controller(ChkObject).Pawn;
        }
        if (ChkTarget != None)
        {
            if (Instigator != None)
            {
                Momentum = Normal(ChkTarget.Location - Instigator.Pawn.Location) * MomentumScale;
            }
            else
            {
                if (InstigatorController != None)
                {
                    Momentum = Normal(ChkTarget.Location - InstigatorController.Location) * MomentumScale;
                }
                else
                {
                    Momentum = ChkTarget.Rotation * -MomentumScale;
                }
            }
            ChkTarget.TakeDamage(DamageAmount, Instigator, ChkTarget.Location, Momentum, DamageType);
        }
    }
    WorldInfo.m_bForceCinematicDamage = false;
}

defaultproperties
{
    MomentumScale=500
    bCallHandler=false
    VariableLinks=None
}
