﻿class BioSeqAct_KillPawn extends SequenceAction
    hidecategories(Object);

function Activated()
{
    local BioPawn oPawn;
    local Controller oTargetController;
    local int I;
    local BioPawnBehavior oBehavior;
    I = 0;
    while (I != Targets.Length)
    {
        oTargetController = Controller(Targets[I]);
        oPawn = oTargetController != None ? BioPawn(oTargetController.Pawn) : BioPawn(Targets[I]);
        if (oPawn == None)
        {
        }
        else
        {
            oBehavior = oPawn.m_oBehavior;
            if (oBehavior != None)
            {
                if (oPawn.IsDead())
                {
                }
                else
                {
                    if (oPawn.m_bCombatStasis)
                    {
                        oBehavior.ExitCombatStasis();
                    }
                    if (oPawn.WorldInfo.Game.PreventDeath(oPawn, oPawn.Controller, Class'SFXDamageType_Suicide', oPawn.Location))
                    {
                        return;
                    }
                    oPawn.Died(oPawn.Controller, Class'SFXDamageType_Suicide', oPawn.Location);
                }
            }
        }
        ++I;
    }
}

defaultproperties
{
    ObjName="Kill Pawn"
}
