﻿class BioSeqAct_NearClipPlane extends SequenceAction
    hidecategories(Object);

var float fValue;

function Activated()
{
    local BioWorldInfo oWorldInfo;
    local int N;
    oWorldInfo = BioWorldInfo(GetWorldInfo());
    if (InputLinks[0].bHasImpulse)
    {
        fValue = oWorldInfo.GetRenderStateOfPlayer(0);
        N = 0;
        while (N < VariableLinks[0].LinkedVariables.Length)
        {
            SeqVar_Float(VariableLinks[0].LinkedVariables[N]).FloatValue = fValue;
            N++;
        }
    }
    else
    {
        if (InputLinks[1].bHasImpulse)
        {
            if (VariableLinks[0].LinkedVariables.Length > 0)
            {
                oWorldInfo.SetRenderStateOfPlayer(0, fValue);
            }
        }
        else
        {
            if (InputLinks[2].bHasImpulse)
            {
                oWorldInfo.SetRenderStateOfPlayerToDefault(0);
            }
        }
    }
}

defaultproperties
{
    bCallHandler=false
    InputLinks=None
}
