﻿class BioSeqAct_NonCombatArea extends SequenceAction
    hidecategories(Object)
    native;

var bool m_bEnable;

function Activated()
{
    local BioPlayerController oController;
    local BioEpicPawnBehavior oBehavior;
    local BioPlayerSquad oSquad;
    local SFXPawn_Player oPlayer;
    OutputLinks[0].bHasImpulse = false;
    OutputLinks[1].bHasImpulse = false;
    oController = BioWorldInfo(GetWorldInfo()).GetLocalPlayerController();
    oPlayer = SFXPawn_Player(oController.Pawn);
    if (oController != None)
    {
        oBehavior = BioEpicPawnBehavior(oController.Pawn.oBioComponent);
        if (oBehavior != None && oBehavior.Squad != None)
        {
            if (oPlayer != None)
            {
                oPlayer.SetCombatState(m_bEnable);
            }
            oSquad = BioPlayerSquad(oBehavior.Squad);
            if (oSquad != None)
            {
                oSquad.m_bCombatEnabled = m_bEnable;
                OutputLinks[0].bHasImpulse = true;
                return;
            }
        }
    }
    OutputLinks[1].bHasImpulse = true;
}

defaultproperties
{
    bCallHandler=false
    bManualHandleOutputs=true
    OutputLinks=None
}
