﻿class BioSkillGame_Decryption_Handler extends BioSkillGame_Base_Handler
    config(UI)
    transient
    native;

var float m_fSpeed;

var int m_nPercentGood;

var int m_nPercentDanger;

function onDownPressed()
{
    local ASParams stParam;
    local array<ASParams> lstParams;
    if (oPanel != None)
    {
        stParam.Type = 1;
        stParam.fVar = 1;
        lstParams.AddItem(stParam);
        oPanel.InvokeMethodArgs("OnVerticalInput", lstParams);
    }
}

function onUpPressed()
{
    local ASParams stParam;
    local array<ASParams> lstParams;
    if (oPanel != None)
    {
        stParam.Type = 1;
        stParam.fVar = -1;
        lstParams.AddItem(stParam);
        oPanel.InvokeMethodArgs("OnVerticalInput", lstParams);
    }
}

function onLeftPressed()
{
    local ASParams stParam;
    local array<ASParams> lstParams;
    if (oPanel != None)
    {
        stParam.Type = 1;
        stParam.fVar = -1;
        lstParams.AddItem(stParam);
        oPanel.InvokeMethodArgs("OnHorizontalInput", lstParams);
    }
}

function onRightPressed()
{
    local ASParams stParam;
    local array<ASParams> lstParams;
    if (oPanel != None)
    {
        stParam.Type = 1;
        stParam.fVar = 1;
        lstParams.AddItem(stParam);
        oPanel.InvokeMethodArgs("OnHorizontalInput", lstParams);
    }
}

function onSelectPressed()
{
    if (oPanel != None)
    {
        oPanel.InvokeMethod("DoSelection");
    }
}

function Update(float fDeltaT)
{
    local ASParams stParam;
    local array<ASParams> lstParams;
    if (oPanel != None)
    {
        stParam.Type = 1;
        stParam.fVar = fDeltaT * 1000;
        lstParams.AddItem(stParam);
        oPanel.InvokeMethodArgs("Update", lstParams);
    }
}

function OnPanelAdded()
{
    oPanel.bUseThumbstickAsDPad = true;
    oPanel.SetExternalInterface(self);
    OnPanelAdded();
}

defaultproperties
{
    m_nPercentDanger=20
    m_nPercentGood=20
    m_fSpeed=1
    m_fTecTimeMultiplier=2
    m_sTecPlotStateName=Tec_MiniGameHack
    m_sBackgroundMusic="SkillGameBackgroundDecoding"
}
