﻿class BioTalentImporter extends BioBaseComponent
    native;

enum EBioCharacterImporterTalent2DA
{
    TALENT_IMPORTER_2DA_TALENT_EFFECT_LEVELS,
    TALENT_IMPORTER_2DA_TALENT_GUI,
    TALENT_IMPORTER_2DA_BONUS_TALENTS,
    TALENT_IMPORTER_2DA_TALENT_COST,
    TALENT_IMPORTER_2DA_EVOLVED_TALENTS,
};

struct native BioSpecializationData
{
    var int m_bonusID;

    var int m_replaceTalentID;

// m_LocalizedName: StringRefProperty[44]
// m_LocalizedDesc: StringRefProperty[44]
}

var transient bool m_bDefault2DAsLoaded;

var Bio2DA m_aTalent2DA[5];

native static function BioTalent LoadTalent(BioActorBehavior Behavior, int TalentID, int Rank);

native static function bool LoadBonusTalentRowsAndIDs(int bonusIdentifier, out array<int> Rows, out array<int> talentIDs);

native static function bool LoadBonusTalentData(int Row, out int MaxRank, out int LevelOffset, out int LevelsPerRank, out int StartingRank, out int IsVisible, out int VisualOrder);

native static function bool GetTalentGuiData(int TalentID, out int costTemplateID);

native static function bool GetTalentRankGuiData(int TalentID, int MaxRank, out array<int> iconArray, out array<???> nameArray, out array<???> descArray, out array<???> unlockBlurbArray);

native static function bool GetTalentUpgradeCost(int costTemplateID, int Rank, out int Cost);

native static function bool DoesSpecializationExist(int TalentID);

native static function bool LoadSpecializationData(int oldTalentID, out array<BioSpecializationData> specData);

defaultproperties
{
    m_aTalent2DA=Bio2DA'Default2DA'
    m_aTalent2DA=Bio2DA'Default2DA'
    m_aTalent2DA=Bio2DA'Default2DA'
    m_aTalent2DA=Bio2DA'Default2DA'
    m_aTalent2DA=Bio2DA'Default2DA'
}
