﻿class Bio_Appr_Character extends BioBaseAppearance
    hidecategories(Object,Advanced,Collision,Debug)
    native;

enum eModelVar
{
    BioMV_Variation1,
    BioMV_Variation2,
    BioMV_Variation3,
    BioMV_Variation4,
    BioMV_Variation5,
    BioMV_Variation6,
    BioMV_Variation7,
    BioMV_Variation8,
    BioMV_Variation9,
};

enum eMaterialVar
{
    BioTV_Sophistication1,
    BioTV_Sophistication2,
    BioTV_Sophistication3,
    BioTV_Sophistication4,
    BioTV_Sophistication5,
    BioTV_Sophistication6,
    BioTV_Sophistication7,
    BioTV_Sophistication8,
    BioTV_Sophistication9,
};

enum eHeadVar
{
    BioHV_Head1,
    BioHV_Head2,
    BioHV_Head3,
    BioHV_Head4,
    BioHV_Head5,
    BioHV_Head6,
    BioHV_Head7,
    BioHV_Head8,
    BioHV_Head9,
};

enum eHairVar
{
    BioHTV_Hat1,
    BioHTV_Hat2,
    BioHTV_Hat3,
    BioHTV_Hat4,
    BioHTV_Hat5,
    BioHTV_Hat6,
    BioHTV_Hat7,
    BioHTV_Hat8,
    BioHTV_Hat9,
};

enum eModelType
{
    BioMT_BodyAndHead,
    BioMT_Simple,
};

struct native LookAtBoneDef
{
    var() Name m_nBoneName;

    var() float m_fLimit;

    var() float m_fUpDownLimit;

    var() float m_fDelay;

    var() byte m_nLookAxis;

    var() byte m_nUpAxis;

    var() bool m_bSeparateUpDownLimit;

    var() bool m_bUseUpAxis;

    var() bool m_bLookAtInverted;

    var() bool m_bUpAxisInverted;

    var() float m_fSpeedFactor;

    var() float m_fConversationStrength;

}

var(FaceFX) FaceFXAsset DefaultFaceFXAsset;

var BioDynamicAnimSet m_pCookedDefGestPoseSet;

var(Gestures) Name m_nmDefaultGesturesPoseAnim;

var(Gestures) AnimSet m_pDefaultGesturesPoseSet;

var(LookAt) array<LookAtBoneDef> m_aLookBoneDefs;

var(LookAt) BioLookAtDefinition m_LookAtDefinition;

var(Camera) float fDOFFocusDistance;

var(Camera) float fDOFFocusInnerRadius;

var(Camera) float fNearClip;

var(Camera) float fFov;

var(Camera) Vector vCameraFocusPoint;

var(Camera) Rotator rProceduralCameraRotation;

var(Camera) Vector vProceduralCameraPosition;

var(Movement) SFXMovementData MovementInfo;

var(Movement) Name CreatureSpeed;

var(Visuals) float LifetimeMaterialFadeDuration;

var(Visuals) BioVFXTemplate DeathCrust;

var(Visuals) BioVFXTemplate LifetimeCrust;

var(Visuals) Name BloodColor;

var(Visuals) Bio_Appr_Character_Body Body;

var(Visuals) array<Bio_Appr_Character_Head> Head;

var(Movement) bool CanStrafe;

var(Visuals) bool HideEquipedItems;

var(Visuals) /* 00000008 */ transient Bio_Appr_Character_Settings m_oSettings;

var(Visuals) eModelType ModelType;

defaultproperties
{
    m_oSettings=Bio_Appr_Character_Settings'oSettings'
    CanStrafe=true
    LifetimeMaterialFadeDuration=20
    CreatureSpeed=Default
    // child object oSettings of type Bio_Appr_Character_Settings
}
