﻿class Bio_Appr_Character_HeadGear extends BioBaseAppearance
    hidecategories(Death)
    native;

struct native BioHeadGearAppearanceModelSpec
{
    var() int m_nMaterialConfigCount;

    var() int m_nMaterialCountPerConfig;

    var() bool m_bIsHairHidden;

    var() bool m_bIsHeadHidden;

    var() bool m_bSuppressFacePlate;

    var() bool m_bSuppressVisor;

}

struct native BioHeadGearAppearanceArmorSpec
{
    var() const EBioArmorType m_eArmorType;

    var() array<BioHeadGearAppearanceModelSpec> m_aModelSpec;

    var() Name m_nmPackage;

}

var(Visual) array<MaterialInterface> m_apVisorMaterial;

var(Visual) array<SkeletalMesh> m_apVisorMesh;

var(Visual) array<MaterialInterface> m_apFacePlateMaterial;

var(Visual) /* 00000008 */ array<BioFacePlateMeshSpec> m_aFacePlateMeshSpec;

var(Preview) transient EBioArmorType m_eArmorType;

var(Preview) /* 00000008 */ transient Bio_Appr_Character_HeadGear_Settings m_oSettings;

var(Visual) BioHeadGearAppearanceArmorSpec m_aArmorSpec[5];

var(Visual) Name m_nmPrefix;

struct native BioFacePlateMeshSpec
{
    var() bool m_bHidesVisor;

    var() SkeletalMesh m_pMesh;

}

defaultproperties
{
    m_oSettings=Bio_Appr_Character_HeadGear_Settings'oSettings'
    // child object oSettings of type Bio_Appr_Character_HeadGear_Settings
}
