﻿class SFXAreaMapData extends Object;

enum SFXAreaMapLayout
{
    AM_Biop_twrhub,
    AM_Biop_cithub,
    AM_Biop_omghub,
    AM_Biop_krohub,
    AM_Biop_nor,
    AM_Biop_nor,
    AM_Biop_nor,
    AM_Biop_nor,
};

var Vector UUCoorAtPxOrigin;

var float PxPerUU;

var Vector RefPoint2_Unreal_UU;

var() Vector RefPoint2_Image_Px;

var Vector RefPoint1_Unreal_UU;

var() Vector RefPoint1_Image_Px;

var() Texture2D MapAsset;

var() SFXAreaMapLayout MapLayout;

function float GetPxPerUU()
{
    local Vector RefpxToRefpx;
    local Vector RefUToRefU;
    local float DistPx;
    local float DistUU;
    local float Scale;
    RefpxToRefpx = RefPoint1_Image_Px - RefPoint2_Image_Px;
    RefUToRefU = RefPoint1_Unreal_UU - RefPoint2_Unreal_UU;
    DistPx = VSize2D(RefpxToRefpx);
    DistUU = VSize2D(RefUToRefU);
    Scale = DistPx / DistUU;
    return Scale;
}

function GetUUCordAtPxOrigin(out float UU_X, out float UU_Y)
{
    local float ScalePxPerUU;
    local float PxXAsUU;
    local float PxYAsUU;
    ScalePxPerUU = GetPxPerUU();
    PxXAsUU = RefPoint1_Image_Px.X / ScalePxPerUU;
    PxYAsUU = RefPoint1_Image_Px.Y / ScalePxPerUU;
    UU_Y = RefPoint1_Unreal_UU.Y - PxXAsUU;
    UU_X = RefPoint1_Unreal_UU.X + PxYAsUU;
}

function ReCalculate()
{
    local float UUX_AtPxOrg;
    local float UUY_AtPxOrg;
    PxPerUU = GetPxPerUU();
    GetUUCordAtPxOrigin(UUX_AtPxOrg, UUY_AtPxOrg);
    UUCoorAtPxOrigin.X = UUX_AtPxOrg;
    UUCoorAtPxOrigin.Y = UUY_AtPxOrg;
    UUCoorAtPxOrigin.Z = 0;
}

function GetPixelCoordinates(float UU_X, float UU_Y, out float Px, out float Py)
{
    Py = UUCoorAtPxOrigin.X - UU_X * PxPerUU;
    Px = UU_Y - UUCoorAtPxOrigin.Y * PxPerUU;
}

defaultproperties
{
}
