﻿class SFXGameEffect_DisableAI extends SFXGameEffect
    hidecategories(Object);

function OnApplied()
{
    local BioPawn oPawn;
    local SFXAI_Core oController;
    OnApplied();
    oPawn = BioPawn(Owner);
    if (oPawn == None)
    {
        return;
    }
    oController = SFXAI_Core(oPawn.Controller);
    if (oController == None)
    {
        return;
    }
    if (oController.CanInterruptCurrentState())
    {
        oController.EnableAI(false, 8);
        oController.Focus = None;
        oController.FireTarget = None;
    }
    else
    {
        oPawn.AddRagdollImpulse(vect(0,0,0), Instigator, oPawn.Location, true, 'root');
    }
}

function OnRemoved()
{
    local BioPawn oPawn;
    local SFXAI_Core oController;
    OnRemoved();
    oPawn = BioPawn(Owner);
    if (oPawn == None)
    {
        return;
    }
    oController = SFXAI_Core(oPawn.Controller);
    if (oController == None)
    {
        return;
    }
    oController.EnableAI(true, 8);
}

defaultproperties
{
}
