﻿class SFXGameEffect_HealOverTime extends SFXGameEffect
    hidecategories(Object);

function OnUpdate(float DeltaSeconds)
{
    local SFXModule_Damage DmgModule;
    local float RegenAmount;
    local SFXModule_GameEffectManager Manager;
    local SFXGameEffect oEffect;
    local float Penalty;
    OnUpdate(DeltaSeconds);
    Penalty = 0;
    if (Owner != None)
    {
        Manager = Owner.GetModule(Class'SFXModule_GameEffectManager');
        if (Manager != None)
        {
            foreach Manager.GameEffects(oEffect)
            {
                if (oEffect.Class == Class'SFXGameEffect_HealthRegenPenalty')
                {
                    oEffect.ComputeEffectValue(Penalty);
                }
            }
        }
        DmgModule = Owner.GetModule(Class'SFXModule_Damage');
        if (DmgModule != None)
        {
            if (DmgModule.CurrentHealth <= 0)
            {
                return;
            }
            RegenAmount = 1 - Penalty * EffectValue * DeltaSeconds;
            DmgModule.CurrentHealth = FMin(DmgModule.MaxHealth.Value, DmgModule.CurrentHealth + RegenAmount);
        }
    }
}

defaultproperties
{
}
