﻿class SFXInterpTrackToggleHidden extends SFXInterpTrackToggleBase
    hidecategories(Object)
    native
    collapsecategories;

static event bool AllowKeyNaming()
{
    return true;
}

static event String NewKeyDefaultName()
{
    return "ToggleHidden";
}

static event String KeyDataDisplayName()
{
    return "Toggle Hidden Key Data";
}

event TriggerKey(BioInterpTrackInst pTrackInst, bool bToggle, bool bEnable)
{
    local SeqAct_ToggleHidden Seq;
    local Actor CurrentTarget;
    local int I;
    Seq = new(Outer,Class'SeqAct_ToggleHidden');
    SetupToggleSequenceOp(Seq, bToggle, bEnable);
    if (m_aTarget.Length > 0)
    {
        I = 0;
        while (I < m_aTarget.Length)
        {
            CurrentTarget = Actor(GetObjectRef(m_aTarget[I]));
            if (CurrentTarget != None)
            {
                CurrentTarget.OnToggleHidden(Seq);
                jump 152;
            }
            I++;
        }
    }
    else
    {
        if (pTrackInst != None)
        {
            CurrentTarget = GetGroupLinkedActor(pTrackInst);
            if (CurrentTarget != None)
            {
                CurrentTarget.OnToggleHidden(Seq);
            }
        }
    }
    return;
}

defaultproperties
{
    TrackTitle="Toggle Hidden"
}
