﻿class SFXSeqAct_FireWeaponAt extends SeqAct_Latent
    hidecategories(Object)
    native;

var int m_nReason;

var float m_fTotalTimeRunning;

var int nCompletionReason;

var bool m_bDone;

var() bool bCheckLOS;

var bool bIgnorePerception;

var() float fTimeOut;

var() Actor oTarget;

var() BioPawn oPawn;

function FireWeaponCallback(int nReason)
{
    m_bDone = true;
    m_nReason = nReason;
}

event CancelFire()
{
    local SFXAI_Core oAI;
    if (oPawn != None)
    {
        oAI = SFXAI_Core(oPawn.Controller);
        if (oAI != None)
        {
            oAI.CancelAction();
        }
    }
}

event FireWeapon(Actor pTarget)
{
    local SFXAI_Core oAI;
    if (oPawn != None)
    {
        oAI = SFXAI_Core(oPawn.Controller);
        if (oAI != None)
        {
            oAI.Focus = pTarget;
            oAI.FireWeaponAtTarget(pTarget, bCheckLOS, FireWeaponCallback);
        }
    }
}

defaultproperties
{
    fTimeOut=5
    bCheckLOS=true
    m_nReason=1
    bManualHandleOutputs=true
    InputLinks=None
}
