﻿class SFXSeqAct_GenerateVocEvent extends SequenceAction
    hidecategories(Object);

var() float fChanceToPlayMod;

var() float fDelay;

var() BioPawn oRecipient;

var() Actor oInstigator;

var() ESFXVocalizationEventID oEventID;

function Activated()
{
    local BioPawn oPawnInstigator;
    local BioPawn oPawnRecipient;
    oPawnInstigator = GetBioPawn(oInstigator);
    if (oPawnInstigator != None)
    {
        oPawnRecipient = GetBioPawn(oRecipient);
        SFXGame(oInstigator.WorldInfo.Game).TriggerVocalizationEvent(oEventID, oPawnInstigator, oPawnRecipient, fDelay, fChanceToPlayMod);
    }
}

function BioPawn GetBioPawn(Actor oTarget)
{
    if (oTarget != None)
    {
        if (BioPawn(oTarget) != None)
        {
            return BioPawn(oTarget);
        }
        else
        {
            if (Controller(oTarget) != None)
            {
                return BioPawn(Controller(oTarget).Pawn);
            }
        }
    }
    return None;
}

defaultproperties
{
    fChanceToPlayMod=1
    VariableLinks=None
}
