﻿class SFXSeqAct_SetAreaMap extends SequenceAction
    hidecategories(Object)
    config(UI)
    native;

var GFxMovieInfo m_oAreaMapReference;

var config String m_sAreaMapGuiResource;

var Actor Ref2;

var Actor Ref1;

var() Vector RefPoint2_Image_Px;

var() Vector RefPoint1_Image_Px;

var() Texture2D MapAsset;

var() SFXAreaMapLayout MapLayout;

function Activated()
{
    local BioWorldInfo oWorldInfo;
    local MassEffectGuiManager Manager;
    local SFXAreaMapData MapData;
    if (Ref1 == None || Ref2 == None)
    {
    }
    else
    {
        oWorldInfo = BioWorldInfo(Class'Engine'.GetCurrentWorldInfo());
        if (oWorldInfo != None)
        {
            if (oWorldInfo.GetLocalPlayerController() != None)
            {
                Manager = MassEffectGuiManager(oWorldInfo.GetLocalPlayerController().GetScaleFormManager());
                if (Manager != None)
                {
                    MapData = new(Class'SFXAreaMapData');
                    MapData.MapAsset = MapAsset;
                    MapData.RefPoint1_Image_Px = RefPoint1_Image_Px;
                    MapData.RefPoint2_Image_Px = RefPoint2_Image_Px;
                    MapData.RefPoint1_Unreal_UU.X = Ref1.Location.X;
                    MapData.RefPoint1_Unreal_UU.Y = Ref1.Location.Y;
                    MapData.RefPoint1_Unreal_UU.Z = 0;
                    MapData.RefPoint2_Unreal_UU.X = Ref2.Location.X;
                    MapData.RefPoint2_Unreal_UU.Y = Ref2.Location.Y;
                    MapData.RefPoint2_Unreal_UU.Z = 0;
                    MapData.MapLayout = MapLayout;
                    Manager.SetAreaMapData(MapData);
                }
            }
        }
    }
}

defaultproperties
{
    m_sAreaMapGuiResource="GUI_SF_AreaMap.ME2_AreaMap"
    bCallHandler=false
    VariableLinks=None
}
