﻿class SFXSeqAct_SetTargetable extends SequenceAction
    hidecategories(Object);

var bool bCombatTargetableOverride;

var bool bCombatTargetable;

var bool bTargetableOverride;

var bool bTargetable;

function ResetToDefault(Object Instance, optional bool bCombat)
{
    local SFXModule Module;
    foreach Actor(Instance.ObjectArchetype).Modules(Module)
    {
        if (SFXSelectionModule(Module) != None)
        {
            if (bCombat)
            {
                Actor(Instance).GetModule(Class'SFXSelectionModule').m_bCombatTargetable = SFXSelectionModule(Module).m_bCombatTargetable;
            }
            else
            {
                Actor(Instance).GetModule(Class'SFXSelectionModule').m_bTargetable = SFXSelectionModule(Module).m_bTargetable;
            }
            return;
        }
    }
}

function Activated()
{
    local int I;
    local Actor oActor;
    I = 0;
    while (I < Targets.Length)
    {
        oActor = Actor(Targets[I]);
        if (oActor.GetModule(Class'SFXSelectionModule') != None)
        {
            if (bTargetableOverride == false)
            {
                ResetToDefault(oActor);
            }
            else
            {
                oActor.GetModule(Class'SFXSelectionModule').m_bTargetable = bTargetable;
            }
            if (bCombatTargetableOverride == false)
            {
                ResetToDefault(oActor, true);
            }
            else
            {
                oActor.GetModule(Class'SFXSelectionModule').m_bCombatTargetable = bCombatTargetable;
            }
        }
        I++;
    }
}

defaultproperties
{
    bTargetableOverride=true
    bCombatTargetableOverride=true
    VariableLinks=None
}
