﻿class SFXSeqAct_SetTreasure extends SequenceAction
    hidecategories(Object);

var() ETreasureType TreasureType;

var() int ResourcePercent;

var() bool bTreasureTypeOverride;

var() bool bOverrideResource;

var() bool bTargetable;

function Activated()
{
    local Object ChkObject;
    local Actor chkActor;
    local SFXTreasureUseModule TreasureMod;
    foreach Targets(ChkObject)
    {
        chkActor = Actor(ChkObject);
        if (chkActor != None)
        {
            TreasureMod = chkActor.GetModule(Class'SFXTreasureUseModule');
            if (TreasureMod != None)
            {
                TreasureMod.m_bTargetable = bTargetable;
            }
            if (bOverrideResource && TreasureMod.ResourcePercent > 0)
            {
                TreasureMod.ResourcePercent = ResourcePercent;
            }
            if (bTreasureTypeOverride)
            {
                TreasureMod.TreasureType = TreasureType;
            }
        }
    }
}

defaultproperties
{
    bCallHandler=false
    VariableLinks=None
}
