﻿class SFXSeqAct_UsePowerOn extends SeqAct_Latent
    hidecategories(Object)
    native;

var int m_nReason;

var Bio2DA m_oPower2DA;

var bool m_bDone;

var float m_fTotalTimeRunning;

var int nCompletionReason;

var() float fTimeOut;

var() Actor oTarget;

var() EBioAutoSet ePower;

var Name nmPower;

var() Pawn oPawn;

function UsePowerCallback(int nReason)
{
    m_bDone = true;
    m_nReason = nReason;
}

event CancelPower()
{
    local SFXAI_Core oAI;
    if (oPawn != None)
    {
        oAI = SFXAI_Core(oPawn.Controller);
        if (oAI != None)
        {
            oAI.CancelAction();
        }
    }
}

event UsePower(Actor pTarget)
{
    local SFXAI_Core oAI;
    if (oPawn != None)
    {
        oAI = SFXAI_Core(oPawn.Controller);
        if (oAI != None)
        {
            oAI.UsePowerOnTarget(nmPower, pTarget, UsePowerCallback);
        }
    }
}

defaultproperties
{
    fTimeOut=5
    m_oPower2DA=Bio2DA'Default2DA'
    bManualHandleOutputs=true
    InputLinks=None
}
