﻿class SFXSeqEvt_SFXDoorInteraction extends SequenceEvent
    hidecategories(Object);

function TriggerStateChange(ESFXDoorState NewState, ESFXDoorState PrevState, Actor EventInstigator)
{
    local array<int> ActivateIndices;
    local SeqVar_Object ObjVar;
    if (NewState == 0 || PrevState == 1)
    {
        ActivateIndices[ActivateIndices.Length] = 0;
    }
    else
    {
        if (NewState == 1)
        {
            ActivateIndices[ActivateIndices.Length] = 1;
        }
    }
    if (ActivateIndices.Length == 0)
    {
        ScriptLog("Not activating" @ self @ "for event because there are no matching outputs");
    }
    else
    {
        if (CheckActivate(Originator, EventInstigator, false, ActivateIndices))
        {
            foreach LinkedVariables(Class'SeqVar_Object', ObjVar, "Instigator")
            {
                ObjVar.SetObjectValue(EventInstigator);
            }
        }
    }
}

function TriggerInteraction(ESFXDoorState CurrentState, Actor EventInstigator)
{
    local array<int> ActivateIndices;
    local SeqVar_Object ObjVar;
    if (CurrentState == 0 || CurrentState == 1)
    {
        ActivateIndices[ActivateIndices.Length] = 4;
    }
    else
    {
        if (CurrentState == 2)
        {
            ActivateIndices[ActivateIndices.Length] = 2;
        }
        else
        {
            if (CurrentState == 3)
            {
                ActivateIndices[ActivateIndices.Length] = 3;
            }
        }
    }
    if (ActivateIndices.Length == 0)
    {
        ScriptLog("Not activating" @ self @ "for event because there are no matching outputs");
    }
    else
    {
        if (CheckActivate(Originator, EventInstigator, false, ActivateIndices))
        {
            foreach LinkedVariables(Class'SeqVar_Object', ObjVar, "Instigator")
            {
                ObjVar.SetObjectValue(EventInstigator);
            }
        }
    }
}

defaultproperties
{
    WhoTriggers=System.Byte[]
    OutputLinks=None
}
