﻿class SFXVocalizationTypes extends Object
    abstract
    native;

enum ESFXVocalizationRole
{
    SFXVocalizationRole_None,
    SFXVocalizationRole_Instigator,
    SFXVocalizationRole_Recipient,
    SFXVocalizationRole_EnemyWitness,
    SFXVocalizationRole_TeammateWitness,
    SFXVocalizationRole_HenchmanWitness,
    SFXVocalizationRole_ReferencedPawn,
};

enum ESFXVocalizationVariationType
{
    SFXVocalizationSpecificType_None,
    SFXVocalizationSpecificType_Location,
    SFXVocalizationSpecificType_CharacterName,
    SFXVocalizationSpecificType_CharacterType,
    SFXVocalizationSpecificType_Affiliation,
    SFXVocalizationSpecificType_Gender,
    SFXVocalizationSpecificType_Weapon,
    SFXVocalizationSpecificType_Challenge,
    SFXVocalizationSpecificType_Me,
    SFXVocalizationSpecificType_IsFriendly,
};

enum ESFXVocalizationBool
{
    SFXVocalizationBool_False,
    SFXVocalizationBool_True,
};

enum ESFXVocalizationLocation
{
    SFXVocalizationLocation_None,
    SFXVocalizationLocation_Above,
    SFXVocalizationLocation_Below,
    SFXVocalizationLocation_Right,
    SFXVocalizationLocation_Left,
    SFXVocalizationLocation_Ahead,
    SFXVocalizationLocation_Behind,
    SFXVocalizationLocation_Specific,
};

enum ESFXVocalizationName
{
    SFXVocalizationCharacter_None,
    SFXVocalizationCharacter_Shepard,
    SFXVocalizationCharacter_Garrus,
    SFXVocalizationCharacter_Tali,
    SFXVocalizationCharacter_Legion,
    SFXVocalizationCharacter_Samara,
    SFXVocalizationCharacter_Morinth,
    SFXVocalizationCharacter_Jacob,
    SFXVocalizationCharacter_Miranda,
    SFXVocalizationCharacter_Grunt,
    SFXVocalizationCharacter_Mordin,
    SFXVocalizationCharacter_Thane,
    SFXVocalizationCharacter_Jack,
    SFXVocalizationCharacter_Kasumi,
    SFXVocalizationCharacter_Zaeed,
};

enum ESFXVocalizationGender
{
    SFXVocalizationGender_None,
    SFXVocalizationGender_Male,
    SFXVocalizationGender_Female,
};

enum ESFXVocalizationWeapon
{
    SFXVocalizationWeapon_None,
    SFXVocalizationWeapon_Pistol,
    SFXVocalizationWeapon_SMG,
    SFXVocalizationWeapon_AssaultRifle,
    SFXVocalizationWeapon_Shotgun,
    SFXVocalizationWeapon_SniperRifle,
    SFXVocalizationWeapon_HeavyWeapon,
};

var array<Object> EnumForType;

defaultproperties
{
    EnumForType(0)=None
    EnumForType(1)=Enum'ESFXVocalizationLocation'
    EnumForType(2)=Enum'ESFXVocalizationName'
    EnumForType(3)=Enum'ECharacterType'
    EnumForType(4)=Enum'EAffiliationType'
    EnumForType(5)=Enum'ESFXVocalizationGender'
    EnumForType(6)=Enum'ESFXVocalizationWeapon'
    EnumForType(7)=Enum'EChallengeType'
}
