﻿class BioEvtSysTrackSubtitles extends SFXGameInterpTrack
    hidecategories(Object)
    native
    collapsecategories;

struct native BioSubtitleTrackData
{
    var() int nStrRefID;

    var() float fLength;

    var() bool bShowAtTop;

}

var BioTlkSet TalkTables;

var() array<BioSubtitleTrackData> m_aSubtitleData;

static event bool AllowKeyNaming()
{
    return false;
}

static event String NewKeyDefaultName()
{
    return "Subtitle";
}

static event String KeyDataArrayName()
{
    return "m_aSubtitleData";
}

static event String KeyDataDisplayName()
{
    return "Subtitle Data";
}

static event String GetNewTrackSubMenuName()
{
    return "Bio Conversation";
}

defaultproperties
{
    TrackInstClass=None
    TrackTitle="Subtitles"
    bOnePerGroup=true
}
