﻿class BioGameEffectTakeDamage extends BioGameEffect
    hidecategories(Object)
    native
    editinlinenew;

var class<SFXDamageType> DamageClass;

var Vector m_vMomentum;

var Vector m_vHitLocation;

var Controller m_oInstigatorController;

var float m_fDamage;

static function Create(BioGameProperty oProperty, float fDamage, Controller oInstigatorController, Vector vHitLocation, Vector vMomentum, class<SFXDamageType> NewDamageClass)
{
    local BioGameEffectTakeDamage oEffect;
    oEffect = new(oProperty,Class'BioGameEffectTakeDamage');
    oEffect.m_fDamage = fDamage;
    oEffect.m_oInstigatorController = oInstigatorController;
    oEffect.m_vHitLocation = vHitLocation;
    oEffect.m_vMomentum = vMomentum;
    oEffect.DamageClass = NewDamageClass;
    oProperty.AddGameEffectToProperty(oEffect);
}

native function Object Apply(Object oTarget);

defaultproperties
{
}
