﻿class BioPlayerVehicleSaveObject extends BioBaseSaveObject;

var bool m_bVehicleFunctionEnabled;

var bool m_bPowertrainEnabled;

var String m_ActorType;

function SaveObject(Object O)
{
    local BioVehicleBehaviorBase Behavior;
    Behavior = BioVehicleBehaviorBase(O);
    m_bPowertrainEnabled = Behavior.m_bPowertrainEnabled;
    m_bVehicleFunctionEnabled = Behavior.m_bVehicleFunctionEnabled;
    m_ActorType = PathName(Behavior.Owner.ActorType);
    SaveObject(O);
}

function LoadObject(Object O)
{
    local BioVehicleBehaviorBase Behavior;
    Behavior = BioVehicleBehaviorBase(O);
    LoadObject(O);
    if (m_bPowertrainEnabled == false)
    {
        Behavior.SetPowertrainState(false);
    }
    if (m_bVehicleFunctionEnabled == false)
    {
        Behavior.SetPowertrainState(false);
    }
}

defaultproperties
{
}
