﻿class BioSFHandler_AreaMap extends BioSFHandler
    config(UI)
    transient
    native;

const AreaMap_Initialize = 1;
const AreaMap_SetDestination = 2;
const AreaMap_OpenJournal = 3;
const AreaMap_ReturnToNormandy = 4;
const AreaMap_UpdateZoom = 5;
var transient bool m_bWaitingForMsgBox;

var transient float m_fCurrentZoom;

var transient Bio2DA m_pAreaMapTable;

var transient Box m_levelBox;

var transient String m_sMapName;

var transient Vector m_vRightInput;

var transient Vector m_vLeftInput;

var transient int m_nRightScrollDelta;

var transient int m_nLeftScrollDelta;

var config float m_fCursorSpeed;

var config float m_fScrollSpeed;

native final function RTNConfirm(bool bAPressed, int nContext);

defaultproperties
{
    m_fScrollSpeed=1
    m_fCursorSpeed=0,5
    m_nLeftScrollDelta=20
    m_nRightScrollDelta=20
    m_pAreaMapTable=Bio2DA'Default2DA'
    nHandlerID=19
}
