﻿class BioSFHandler_BlackScreen extends BioSFHandler
    transient
    native;

enum BlackScreenDisplayModes
{
    BlackScreenMode_None,
    BlackScreenMode_TurnBlackOn,
    BlackScreenMode_TurnBlackOff,
    BlackScreenMode_FadeToBlack,
    BlackScreenMode_FadeFromBlack,
};

var float m_FadeTime;

var float m_AccumulatedFadeTime;

var float m_CurrentAlpha;

var String m_ASPath;

var BlackScreenDisplayModes m_eDisplayMode;

function OnPanelAdded()
{
    SetMouseShown(false);
}

native function Hide(bool bWithFade);

native function Show(bool bWithFade);

native function bool IsFading();

defaultproperties
{
    m_ASPath="_root.BlackoutMC._alpha"
    m_FadeTime=2
    nHandlerID=26
    bSetGameMode=false
}
