﻿class BioSFHandler_Tutorial extends BioSFHandler
    transient
    native;

const TutorialComplete = 1;
var transient bool m_bInputModeCached;

var transient bool m_bGameWasPaused;

delegate CompletionCallback();

function HandleEvent(byte nCommand, const out array<String> lstArguments)
{
    local BioPlayerController oController;
    switch (nCommand)
    {
        case 1:
            oPanel.oParentManager.RemovePanel(oPanel);
            if (m_bInputModeCached)
            {
                oController = BioWorldInfo(oWorldInfo).GetLocalPlayerController();
                oController.WorldInfo.bPlayersOnly = m_bGameWasPaused;
            }
            else
            {
                m_bInputModeCached = true;
            }
            CompletionCallback();
            break;
    }
}

defaultproperties
{
    m_bInputModeCached=true
    nHandlerID=33
    bSetGameMode=false
}
