﻿class BioSeqAct_ModifyPropertyHeightfog extends SequenceAction
    hidecategories(Object);

var() float fDensity;

var() HeightFog oFog;

function Activated()
{
    local bool bWasEnabled;
    if (oFog != None && oFog.Component != None)
    {
        if (InputLinks[0].bHasImpulse)
        {
            fDensity = oFog.Component.Density;
        }
        else
        {
            if (InputLinks[1].bHasImpulse)
            {
                bWasEnabled = oFog.Component.bEnabled;
                oFog.Component.Density = fDensity;
                oFog.Component.SetEnabled(!bWasEnabled);
                oFog.Component.SetEnabled(bWasEnabled);
            }
        }
    }
}

defaultproperties
{
    InputLinks=None
}
