﻿class BioSeqAct_SetMaterialParameter extends SequenceAction
    hidecategories(Object)
    abstract;

var() const Name m_nmMaterialParameter;

function Set(BioPawn pPawn, const Name nmMaterialParameter);

function Activated()
{
    local int I;
    local BioPawn pPawn;
    I = 0;
    while (I != Targets.Length)
    {
        pPawn = BioPawn(Targets[I]);
        if (pPawn == None)
        {
            pPawn = BioPawn(Controller(Targets[I]).Pawn);
        }
        if (pPawn != None)
        {
            Set(pPawn, m_nmMaterialParameter);
        }
        ++I;
    }
}

defaultproperties
{
}
