﻿class BioSeqAct_SetWeapon extends SequenceAction
    hidecategories(Object)
    native;

enum EBioSeqActSetWeaponLinks
{
    EBioSeqActSetWeaponLinks_Success,
    EBioSeqActSetWeaponLinks_Failure,
};

var int nWeapon;

var() class<SFXWeapon> cWeapon;

var() BioPawn oPawn;

function Activated()
{
    OutputLinks[0].bHasImpulse = false;
    OutputLinks[1].bHasImpulse = false;
    if (oPawn != None && oPawn.SetWeaponImmediately(cWeapon))
    {
        OutputLinks[0].bHasImpulse = true;
    }
    else
    {
        OutputLinks[1].bHasImpulse = true;
    }
}

defaultproperties
{
    bManualHandleOutputs=true
    OutputLinks=None
}
