﻿class BioSkelControl_TurretConstrained extends SkelControlSingleBone
    hidecategories(Object)
    native;

var(Turret) Rotator DesiredBoneRotation;

var(Turret) float m_fLagScale;

var(Turret) float LagDegreesPerSecond;

var(Constraint) TurretConstraintData MinAngle;

var(Constraint) TurretConstraintData MaxAngle;

var(Constraint) bool bInvertRoll;

var(Constraint) bool bInvertYaw;

var(Constraint) bool bInvertPitch;

var(Constraint) bool bConstrainRoll;

var(Constraint) bool bConstrainYaw;

var(Constraint) bool bConstrainPitch;

struct native TurretConstraintData
{
    var() int PitchConstraint;

    var() int YawConstraint;

    var() int RollConstraint;

}

defaultproperties
{
    LagDegreesPerSecond=360
    m_fLagScale=1
    bApplyRotation=true
    BoneRotationSpace=System.Byte[]
}
