﻿class BioTrigger extends Trigger
    hidecategories(Navigation)
    native
    placeable;

var() bool OneShot;

var() bool Enabled;

event Touch(Actor Other, PrimitiveComponent OtherComp, Vector HitLocation, Vector HitNormal)
{
    if (Enabled)
    {
        if (OneShot)
        {
            Enabled = false;
        }
    }
    Disable('Touch');
    Enable('UnTouch');
}

event UnTouch(Actor Other)
{
    if (Enabled)
    {
        if (OneShot)
        {
            Enabled = false;
        }
    }
    Enable('Touch');
    Disable('UnTouch');
}

defaultproperties
{
    Enabled=true
    CylinderComponent=None
    Components=None
    // child object CollisionCylinder of type CylinderComponent
    // child object Sprite of type SpriteComponent
}
