﻿class BioTriggerVolume extends TriggerVolume
    hidecategories(Navigation,Display)
    placeable;

var(BioTrigger) bool OneShot;

var(BioTrigger) bool Enabled;

event Touch(Actor Other, PrimitiveComponent OtherComp, Vector HitLocation, Vector HitNormal)
{
    if (Enabled)
    {
        if (OneShot)
        {
            Enabled = false;
        }
    }
    Disable('Touch');
    Enable('UnTouch');
}

event UnTouch(Actor Other)
{
    if (Enabled)
    {
        if (OneShot)
        {
            Enabled = false;
        }
    }
    Enable('Touch');
    Disable('UnTouch');
}

defaultproperties
{
    Enabled=true
    BrushComponent=None
    Components=None
    // child object BrushComponent0 of type BrushComponent
}
