﻿class Goal_AwayFromPosition extends PathGoalEvaluator
    native;

var int BestRating;

var NavigationPoint BestNode;

var int MaxDist;

var Vector AvoidDir;

var Vector AvoidPos;

static function bool FleeFrom(Pawn P, Vector InAvoidPos, int InMaxDist)
{
    local Goal_AwayFromPosition Eval;
    Eval = Goal_AwayFromPosition(P.CreatePathGoalEvaluator(Default.Class));
    if (Eval != None)
    {
        Eval.AvoidPos = InAvoidPos;
        Eval.AvoidDir = Normal(InAvoidPos - P.Location);
        Eval.MaxDist = InMaxDist;
        P.AddGoalEvaluator(Eval);
        return true;
    }
    return false;
}

event Recycle()
{
    Recycle();
    AvoidPos = vect(0,0,0);
    AvoidDir = vect(0,0,0);
    MaxDist = 0;
    BestNode = None;
    BestRating = 0;
}

defaultproperties
{
    CacheIdx=2
}
