﻿class SFXCameraMode_CoverFixed extends SFXCameraMode_Cover;

function bool Hack_IsViable()
{
    local BioPawn BP;
    BP = BioPawn(Owner.Pawn);
    if (BP.CurrentLink != None && BP.CurrentSlotPct <= 0 || BP.CurrentSlotPct >= 1)
    {
        return true;
    }
    return false;
}

function Vector GetCollisionCameraHook()
{
    if (Hack_IsViable())
    {
        HookName = 'CoverSlot';
    }
    else
    {
        HookName = 'Camera';
    }
    return GetCollisionCameraHook();
}

function Vector GetCameraLocation()
{
    if (Hack_IsViable())
    {
        HookName = 'CoverSlot';
    }
    else
    {
        HookName = 'Camera';
    }
    return GetCameraLocation();
}

defaultproperties
{
    HookName=CoverSlot
}
