﻿class SFXCustomAction_ExplosiveKnockback extends SFXCustomAction_DamageReaction
    config(Game);

var float RagdollDuration;

function BodyStanceAnimEndNotification(AnimNodeSequence SeqNode, float PlayedTime, float ExcessTime)
{
    BodyStanceAnimEndNotification(SeqNode, PlayedTime, ExcessTime);
    oPawn.ClearTimer('CheckForRagdollRecovery');
    Class'BioPowerScriptDesign'.ApplyTemporaryGameEffect(oPawn, Class'SFXGameEffect_Ragdoll', RagdollDuration, 1, Name, Instigator);
}

defaultproperties
{
    RagdollDuration=3,5
    bAllowAnimInterrupt=false
    bRagdollOnFinish=true
    fReactionDuration=2
    ERootMotionMode=RMM_Translate
    VocalizationEvent=SFXVocalizationEvent_ReceivedDamage
}
