﻿class SFXGameEffect_AIConfuse extends SFXGameEffect_AIHacking
    hidecategories(Object);

function OnRemoved()
{
    local BioPawn oPawn;
    local SFXModule_GameEffectManager Manager;
    local SFXGameEffect Effect;
    OnRemoved();
    oPawn = BioPawn(Owner);
    if (oPawn == None)
    {
        return;
    }
    Manager = oPawn.GetModule(Class'SFXModule_GameEffectManager');
    if (Manager == None)
    {
        return;
    }
    Effect = Manager.CreateEffect(Class'SFXGameEffect_Ragdoll', Category, 3, 1, 1, Instigator);
    if (Effect != None)
    {
        Effect.CompletionName = CompletionName;
        Effect.bSendCompletionEvent = true;
        Effect.OnApplied();
    }
}

defaultproperties
{
    bSendCompletionEvent=false
}
