﻿class SFXGameEffect_Ragdoll extends SFXGameEffect
    hidecategories(Object);

function OnApplied()
{
    local BioPawn Pawn;
    local BioPawnBehavior oBehavior;
    local Vector Impulse;
    local Vector HitLocation;
    Pawn = BioPawn(Owner);
    if (Owner == None || Pawn == None)
    {
        return;
    }
    Pawn.AddRagdollImpulse(Impulse, Instigator, HitLocation, true, 'None');
    oBehavior = BioPawnBehavior(Pawn.oBioComponent);
    if (oBehavior != None)
    {
        oBehavior.IncrementRagdollCount();
    }
}

function OnRemoved()
{
    local BioPawn Pawn;
    local BioPawnBehavior oBehavior;
    OnRemoved();
    Pawn = BioPawn(Owner);
    if (Owner == None || Pawn == None)
    {
        return;
    }
    oBehavior = BioPawnBehavior(Pawn.oBioComponent);
    if (oBehavior != None)
    {
        oBehavior.DecrementRagdollCount();
    }
}

defaultproperties
{
}
