﻿class SFXGoreActor extends SkeletalMeshActor
    hidecategories(Navigation)
    native
    placeable;

native function CopyBindPose(BioPawn Pawn);

native function SwitchBodiesBelow(Name ParentBoneName, SkeletalMeshComponent FromSkelComp, SkeletalMeshComponent ToSkelComp, PhysicsAssetInstance FromInst, PhysicsAssetInstance ToInst);

function CreateGoreActor(Pawn Pawn, Name BoneName)
{
    SkeletalMeshComponent.SetAnimTreeTemplate(new(Class'AnimTree'), );
    SwitchBodiesBelow(BoneName, Pawn.Mesh, SkeletalMeshComponent, Pawn.Mesh.PhysicsAssetInstance, SkeletalMeshComponent.PhysicsAssetInstance);
}

defaultproperties
{
    SkeletalMeshComponent=None
    LightEnvironment=None
    FacialAudioComp=None
    Components=None
    // child object FaceAudioComponent of type AudioComponent
    // child object MyLightEnvironment of type DynamicLightEnvironmentComponent
    // child object SkeletalMeshComponent0 of type SkeletalMeshComponent
}
