﻿class SFXPath_WithinPlaypen extends PathConstraint
    native;

var transient bool m_bOnlyAvoidSubtractive;

static function bool WithinPlaypen(BioPawn P, bool bAvoidSubtractive)
{
    local SFXPath_WithinPlaypen Con;
    if (P != None && P.Squad != None && P.Squad.HasPlaypen())
    {
        Con = SFXPath_WithinPlaypen(P.CreatePathConstraint(Default.Class));
        if (Con != None)
        {
            P.AddPathConstraint(Con);
            Con.m_bOnlyAvoidSubtractive = bAvoidSubtractive;
            return true;
        }
    }
    return false;
}

defaultproperties
{
    CacheIdx=7
}
