﻿class SFXSeqAct_AIFactory extends SeqAct_ActorFactory
    hidecategories(Object)
    native;

var() Name nmTag;

var Actor VisibilitySource;

var bool bAbortSpawns;

var() bool bPlayCustomActivationAnim;

var() bool bAbortOnFailSpawn;

var() bool bTestSpawnVisibility;

var() bool bAutoNotify;

var() bool bAutoAcquireEnemy;

var() BioBaseSquad Squad;

function Activated()
{
    if (InputLinks[0].bHasImpulse)
    {
        bIsSpawning = true;
        bAbortSpawns = false;
        RemainingDelay = 0;
        LastSpawnIdx = 0;
        SpawnedCount = 0;
    }
}

function Deactivated()
{
    bIsSpawning = false;
    bAbortSpawns = false;
    LastUsedSpawn = None;
}

defaultproperties
{
    bAbortOnFailSpawn=true
    bCallHandler=false
    InputLinks=None
}
