﻿class SFXSeqAct_ClearAreaMap extends SequenceAction
    hidecategories(Object);

function Activated()
{
    local BioWorldInfo oWorldInfo;
    local MassEffectGuiManager Manager;
    oWorldInfo = BioWorldInfo(Class'Engine'.GetCurrentWorldInfo());
    if (oWorldInfo != None)
    {
        if (oWorldInfo.GetLocalPlayerController() != None)
        {
            Manager = MassEffectGuiManager(oWorldInfo.GetLocalPlayerController().GetScaleFormManager());
            if (Manager != None)
            {
                Manager.SetAreaMapData(None);
            }
        }
    }
}

defaultproperties
{
    bCallHandler=false
    ObjName="Area Map - Clear Map"
}
