﻿class BioActorType extends BioBaseComponent
    hidecategories(Object)
    abstract
    native;

var(Sound) SFXVocalizationBank VocalizationBank;

var() int m_nCharHeadId;

var Bio2DA m_CharacterIcons;

var array<Name> m_aPowers;

// m_nTargetTipText: StringRefProperty[44]
var(Selection) int m_nRequiredScanLevel;

var(Selection) float m_fUseRange;

var(Physics) int m_nPhysicsLevel;

var(Physics) float m_fPhysicsDamageMaxAllowedPerHit;

var(Physics) float m_fPhysicsDamageMinThreshold;

var(Physics) float m_fPhysicsDamageImpulseScalar;

var(Physics) float m_fPhysicsDamageScalar;

var(Physics) float m_fPhysicsDamageRelativeVelocityThreshold;

// ActorGameNameStrRef: StringRefProperty[44]
var() String ActorGameName;

var() bool m_bSuppressDisintegration;

var() bool m_bPlotProtected;

var(TargetTip) bool m_bDefaultActionPossibleOverridden;

var(Selection) bool m_bCombatTargetable;

var(Selection) bool m_bTargetable;

var() bool m_bMin1Health;

var const class<Actor> m_clsActor;

native final function int GetSquadIcon(bool bIsDead);

native final function ???<StringRefProperty> GetSquadName();

native final function int GetSquadWheelIcon();

native final function bool IsPlotProtected();

native final function bool IsDisintegrationSuppressed();

defaultproperties
{
    m_bTargetable=true
    m_bDefaultActionPossibleOverridden=true
    m_fPhysicsDamageRelativeVelocityThreshold=200
    m_fPhysicsDamageScalar=1
    m_fPhysicsDamageImpulseScalar=1
    m_fPhysicsDamageMinThreshold=10
    m_fPhysicsDamageMaxAllowedPerHit=500
    m_fUseRange=500
    m_nRequiredScanLevel=-1
    m_CharacterIcons=Bio2DA'Default2DA'
}
