﻿class BioAttributesPawn extends BioAttributesEpicPawn
    hidecategories(Object,BioBaseComponent,BioCoreBaseObject,Debug,Object,Object)
    native;

enum EBioAttributePawnGender
{
    BIO_ATTRIBUTE_PAWN_GENDER_MALE,
    BIO_ATTRIBUTE_PAWN_GENDER_FEMALE,
    BIO_ATTRIBUTE_PAWN_GENDER_NONE,
};

enum EBioAttributePawnRace
{
    BIO_ATTRIBUTE_PAWN_RACE_HUMAN,
    BIO_ATTRIBUTE_PAWN_RACE_ASARI,
    BIO_ATTRIBUTE_PAWN_RACE_TURIAN,
    BIO_ATTRIBUTE_PAWN_RACE_SALARIAN,
    BIO_ATTRIBUTE_PAWN_RACE_QUARIAN,
    BIO_ATTRIBUTE_PAWN_RACE_OTHER,
    BIO_ATTRIBUTE_PAWN_RACE_KROGAN,
    BIO_ATTRIBUTE_PAWN_RACE_GETH,
    BIO_ATTRIBUTE_PAWN_RACE_OTHER_ARTIFICIAL,
};

var(Tweak) float m_StormRegenPerSecond;

var(Tweak) float m_StormMax;

var(Tweak) float m_initialThreatMultiplier;

var(Tweak) float m_initialSkillDecryption;

var(Tweak) float m_initialSkillElectronics;

var(Tweak) float m_initialResistanceBiotic;

var(Tweak) float m_initialResistanceSuppression;

var(Tweak) float m_initialDamageDurationMult;

var BioComplexFloatStructAttribute m_PhysicsResistance;

var BioComplexFloatStructAttribute m_MediGelMultiplier;

var BioComplexFloatStructAttribute m_SalvageMultiplier;

var BioComplexFloatStructAttribute m_CreditsMultiplier;

var BioComplexFloatStructAttribute m_ThreatMultiplier;

var BioComplexFloatStructAttribute m_SkillDecryption;

var BioComplexFloatStructAttribute m_SkillElectronics;

var BioComplexFloatStructAttribute m_ResistanceBiotic;

var BioComplexFloatStructAttribute m_DamageDurationMult;

var BioComplexIntStructAttribute m_HazardLevel;

var EBioAttributePawnRace m_Race;

native function SetFloatAttribute(Name attribute, float fValue, optional int nIndexOfAttributeInArray);

native function AddFloatAttributeModifier(Name attribute, EBioAttrModType modType, float fValue, optional int nIndexOfAttributeInArray);

native function RemoveFloatAttributeModifier(Name attribute, EBioAttrModType modType, float fValue, optional int nIndexOfAttributeInArray);

defaultproperties
{
    m_initialDamageDurationMult=1
    m_initialResistanceSuppression=1
    m_initialResistanceBiotic=1
    m_initialThreatMultiplier=1
    m_StormMax=4
    m_StormRegenPerSecond=0,8
}
