﻿class BioAttributesPawnPlayer extends BioAttributesPawnParty
    hidecategories(Object,BioBaseComponent,BioCoreBaseObject,Debug,Object,Object,Object,Object)
    config(Game)
    native;

enum EBioPlayerCharacterSpectreRank
{
    BIO_PLAYER_CHARACTER_SPECTRE_RANK_NONE,
    BIO_PLAYER_CHARACTER_SPECTRE_RANK_OPERATIVE,
};

enum EBioPlayerCharacterBackgroundOrigin
{
    BIO_PLAYER_CHARACTER_BACKGROUND_ORIGIN_NONE,
    BIO_PLAYER_CHARACTER_BACKGROUND_ORIGIN_SPACER,
    BIO_PLAYER_CHARACTER_BACKGROUND_ORIGIN_COLONY,
    BIO_PLAYER_CHARACTER_BACKGROUND_ORIGIN_EARTHBORN,
};

enum EBioPlayerCharacterBackgroundNotoriety
{
    BIO_PLAYER_CHARACTER_BACKGROUND_NOTORIETY_NONE,
    BIO_PLAYER_CHARACTER_BACKGROUND_NOTORIETY_SURVIVOR,
    BIO_PLAYER_CHARACTER_BACKGROUND_NOTORIETY_WARHERO,
    BIO_PLAYER_CHARACTER_BACKGROUND_NOTORIETY_RUTHLESS,
};

var const config float MAXIMUM_SKILL_SALESMAN;

var const config float MINIMUM_SKILL_SALESMAN;

var const config float MAXIMUM_SKILL_HAGGLE;

var const config float MINIMUM_SKILL_HAGGLE;

var BioComplexFloatStructAttribute m_SkillSalesman;

var BioComplexFloatStructAttribute m_SkillHaggle;

var BioComplexFloatStructAttribute m_SkillIntimidate;

var BioComplexFloatStructAttribute m_SkillCharm;

var EBioPlayerCharacterBackgroundNotoriety m_BackgroundNotoriety;

var EBioPlayerCharacterBackgroundOrigin m_BackgroundOrigin;

var EBioPlayerCharacterSpectreRank m_SpectreRank;

var int m_SpecializationBonusID;

defaultproperties
{
    MAXIMUM_SKILL_HAGGLE=0,15
    MAXIMUM_SKILL_SALESMAN=0,15
}
