﻿class BioConsequenceFunctions extends Object
    abstract;

enum EXPCurveSet
{
    EXPCurve_NoReward,
    EXPCurve_MinionKill,
    EXPCurve_EliteKill,
    EXPCurve_SubBossKill,
    EXPCurve_BossKill,
    EXPCurve_SkillUse,
    EXPCurve_MinorQuest,
    EXPCurve_MediumQUest,
    EXPCurve_MajorQuest,
    EXPCurve_MainPlot,
};

static function GrantScaledXP(BioWorldInfo WorldInfo, int Curve)
{
}

static function GrantMediGel(BioWorldInfo WorldInfo, int Count)
{
    local BioPawn oPlayerPawn;
    local SFXInventoryManager oInventory;
    oPlayerPawn = BioPawn(WorldInfo.GetLocalPlayerController().Pawn);
    if (oPlayerPawn == None || oPlayerPawn.InvManager == None)
    {
        return;
    }
    oInventory = SFXInventoryManager(oPlayerPawn.InvManager);
    if (oInventory == None)
    {
        return;
    }
    oInventory.AdjustResource(1, Count, true);
}

static function GrantCredits(BioWorldInfo WorldInfo, int Count)
{
    local BioPawn oPlayerPawn;
    local SFXInventoryManager oInventory;
    oPlayerPawn = BioPawn(WorldInfo.GetLocalPlayerController().Pawn);
    if (oPlayerPawn == None || oPlayerPawn.InvManager == None)
    {
        return;
    }
    oInventory = SFXInventoryManager(oPlayerPawn.InvManager);
    if (oInventory == None)
    {
        return;
    }
    oInventory.GrantScaledCredits(Count);
}

static function GrantBonusTalents(BioWorldInfo WorldInfo, int bonusIdentifier)
{
    local BioTalentContainer talents;
    talents = WorldInfo.m_playerSquad.m_playerPawn.m_oBehavior.m_Talents;
    if (talents != None)
    {
        talents.AddBonusTalents(bonusIdentifier);
    }
}

defaultproperties
{
}
