﻿class BioCustomAction_WaypointAnimation extends BioCustomAction
    config(Game);

var() BodyStance BS_WaypointAnim;

function StartCustomAction()
{
    StartCustomAction();
    if (BS_WaypointAnim.AnimName == 'None')
    {
        return;
    }
    if (oPawn.PlayBodyStance(BS_WaypointAnim, 1, 0, 0, false, true, true) != 0)
    {
        oPawn.SetBodyStanceAnimEndNotification(BS_WaypointAnim, true);
    }
}

function StopCustomAction()
{
    StopCustomAction();
    oPawn.StopBodyStance(BS_WaypointAnim, 0,2);
    oPawn.SetBodyStanceAnimEndNotification(BS_WaypointAnim, false);
}

function BodyStanceAnimEndNotification(AnimNodeSequence SeqNode, float PlayedTime, float ExcessTime)
{
    if (SFXAI_Core(oPawn.Controller) != None)
    {
        SFXAI_Core(oPawn.Controller).EndCustomAction();
    }
}

function bool SetWaypointAnim(Name AnimName, int eStance)
{
    BS_WaypointAnim.AnimName = AnimName;
    BS_WaypointAnim.StanceID = eStance;
    if (AnimName == 'None')
    {
        return false;
    }
    return true;
}

defaultproperties
{
}
