﻿class BioFSM extends Object
    hidecategories(Object)
    native
    editinlinenew;

var() array<BioState> PlaceableStates;

event BioState GetState(Name RequestedState)
{
    local int I;
    I = 0;
    while (I < PlaceableStates.Length)
    {
        if (PlaceableStates[I].StateName == RequestedState)
        {
            return PlaceableStates[I];
        }
        I++;
    }
    return None;
}

function DEBUG_DumpStates(BioPlayerController BPC)
{
    local int I;
    local int J;
    local BioState BS;
    local String sStr;
    I = 0;
    while (I < PlaceableStates.Length)
    {
        BS = PlaceableStates[I];
        if (BS != None)
        {
            sStr = BS.StateName $ " (";
            J = 0;
            while (J < BS.StateTransitions.Length)
            {
                sStr = sStr $ BS.StateTransitions[J].TransitionToState;
                if (BS.StateTransitions[J].TransitionOptionalName != 'None')
                {
                    sStr = sStr $ ":" $ BS.StateTransitions[J].TransitionOptionalName;
                }
                sStr = sStr $ ", ";
                J++;
            }
            sStr = sStr $ ")";
            BPC.ClientMessage(sStr);
        }
        I++;
    }
}

function BioState GetStateByIndex(int Index)
{
    if (Index >= 0 && Index < PlaceableStates.Length)
    {
        return PlaceableStates[Index];
    }
    return None;
}

defaultproperties
{
}
