﻿class BioGlobalVariableTable extends Object
    config(Game)
    native;

var Bio2DA AchievementTable;

var Bio2DA oNameLookupTable;

var config array<TimedPlotUnlock_t> TimedPlotUnlocks;

var array<float> FloatVariables;

var array<int> IntVariables;

var array<int> BoolVariables;

struct native TimedPlotUnlock_t
{
    var int PlotBool;

    var int UnlockDay;

}

native function bool GetBool(int nIndex);

native function SetBool(int nIndex, bool bValue, optional bool bEvaluateAchievement);

native function int GetInt(int nIndex);

native function SetInt(int nIndex, int nValue);

native function float GetFloat(int nIndex);

native function SetFloat(int nIndex, float fValue);

native function bool GetBoolByName(Name nmLabel);

native function SetBoolByName(Name nmLabel, bool bValue);

native function int GetIntByName(Name nmLabel);

native function SetIntByName(Name nmLabel, int nValue);

native function float GetFloatByName(Name nmLabel);

native function SetFloatByName(Name nmLabel, float fValue);

function ???<StringRefProperty> GetStrRefByName(Name nmLabel)
{
    local int nIndex;
    if (oNameLookupTable.GetIntEntryNN(nmLabel, 'Index', nIndex) == true)
    {
        return nIndex;
    }
}

event ClearAllVariables()
{
    BoolVariables.Length = 0;
    IntVariables.Length = 0;
    FloatVariables.Length = 0;
}

defaultproperties
{
    oNameLookupTable=Bio2DA'Default2DA'
    AchievementTable=Bio2DA'Default2DA'
}
