﻿class BioLookAtDefinition extends Object
    native;

struct native LookAtBoneDefinition
{
    var() Name m_nBoneName;

    var() float m_fLimit;

    var() float m_fUpDownLimit;

    var() float m_fDelay;

    var() byte m_nLookAxis;

    var() byte m_nUpAxis;

    var() bool m_bSeparateUpDownLimit;

    var() bool m_bUseUpAxis;

    var() bool m_bUpAxisInLocalSpace;

    var() bool m_bLookAtInverted;

    var() bool m_bUpAxisInverted;

    var() bool m_bUseAcceleration;

    var() float m_fSpeedFactor;

    var() float m_fMaxAcceleration;

    var() float m_fMaxDeceleration;

    var() float m_fConversationStrength;

    var() bool m_bUseMasterBone;

    var() Name m_nmMasterBoneName;

    var() array<Name> m_anTargetBones;

}

var() float ValidTargetAngleRange;

var() bool RootBoneYawOnly;

var() bool RootAnimBoneUpInverted;

var() bool RootAnimBoneLookAtInverted;

var() byte RootAnimBoneUpAxis;

var() byte RootAnimBoneLookAtAxis;

var() Name RootAnimBoneName;

var() array<LookAtBoneDefinition> BoneDefinitions;

defaultproperties
{
    RootAnimBoneName=root
    RootAnimBoneLookAtAxis=1
    RootAnimBoneUpAxis=4
    RootBoneYawOnly=true
    ValidTargetAngleRange=2,35
}
