﻿class BioMorphFace extends Object
    hidecategories(Object,Advanced,Collision,Movement,Debug)
    native;

struct native MorphFeature
{
    var Name sFeatureName;

    var float Offset;

}

struct native OffsetBonePos
{
    var Name nName;

    var Vector vPos;

}

struct BioDummyRenderCommandFence
{
    var const native int nDummy;

}

var const native Pointer ReleaseResourcesFence;

var native array<Pointer> m_aVertexBuffers;

var array<OffsetBonePos> m_aFinalSkeleton;

var(Materials) /* 00000008 */ BioMaterialOverride m_oMaterialOverrides;

var(Data) AnimTree m_oAnimTree;

var(Data) MorphTargetSet m_oMorphTargetSet;

var(Features) array<MorphFeature> m_aMorphFeatures;

var(Data) array<SkeletalMesh> m_oOtherMeshes;

var(Data) SkeletalMesh m_oHairMesh;

var(Data) SkeletalMesh m_oBaseHead;

native function ScriptUpdateMorph();

native function RefreshBuffers(array<int> BufferIndices);

native function int GetNumVertexBuffers();

native function int GetNumVerts(int buffer);

native function Vector GetPosition(int buffer, int vert);

native function SetPosition(int buffer, int vert, Vector V);

native function ApplyMaterialOverrides(SkeletalMeshComponent Mesh);

native function ApplyMaterialOverridesToPawn(BioPawn Pawn);

static function class<BioBaseSaveObject> GetSaveObjectClass()
{
    return Class'BioMorphFaceSaveObject';
}

defaultproperties
{
    m_oMaterialOverrides=BioMaterialOverride'oMaterialOverrides'
    // child object oMaterialOverrides of type BioMaterialOverride
}
