﻿class BioPathPoint extends NavigationPoint
    hidecategories(Navigation,Lighting,LightColor,Force)
    native
    placeable;

var(NavigationPoint) bool bAlwaysReachable;

var(depricated) bool bOrientPawnOnEvent;

var(NavigationPoint) bool bEnabled;

function bool OnCreatureReachedWayPoint(Pawn PathFindingCreature)
{
    return false;
}

function bool DoReachedWaypointEvent(BioPawn oPawn)
{
    local int I;
    local bool bPause;
    bPause = false;
    I = 0;
    while (I < GeneratedEvents.Length)
    {
        if (ClassIsChildOf(GeneratedEvents[I].Class, Class'BioSeqEvt_WaypointSet_WaypointReached'))
        {
            bPause = GeneratedEvents[I].CheckActivate(self, self);
            if (bPause)
            {
                GeneratedEvents[I].SetObjectVars("Pawn", oPawn);
            }
        }
        I++;
    }
    return bPause;
}

defaultproperties
{
    bEnabled=true
    CylinderComponent=None
    GoodSprite=None
    BadSprite=None
    Components=None
    2=System.Byte[]
    // child object CollisionCylinder of type CylinderComponent
}
