﻿class BioPlaypenVolumeSubtractive extends BioPlaypenVolume
    hidecategories(Navigation,Display)
    placeable;

event Touch(Actor Other, PrimitiveComponent OtherComp, Vector HitLocation, Vector HitNormal)
{
    local BioPawn Pawn;
    local BioAiController Controller;
    Pawn = BioPawn(Other);
    if (Pawn != None && Pawn.Squad != None)
    {
        if (Pawn.Squad.IsVolumeInPlaypen(self))
        {
            Controller = BioAiController(Pawn.Controller);
            if (Controller != None)
            {
                Controller.OnLeftPlaypen();
            }
        }
    }
}

event UnTouch(Actor Other)
{
    local BioPawn Pawn;
    local BioAiController Controller;
    Pawn = BioPawn(Other);
    if (Pawn != None && Pawn.Squad != None)
    {
        if (Pawn.Squad.IsVolumeInPlaypen(self) && Pawn.Squad.IsPositionInPlaypen(Pawn.Location) == true)
        {
            Controller = BioAiController(Pawn.Controller);
            if (Controller != None)
            {
                Controller.OnEnteredPlaypen();
            }
        }
    }
}

defaultproperties
{
    bSubtractive=true
    bColored=true
    BrushComponent=None
    Components=None
    // child object BrushComponent0 of type BrushComponent
}
