﻿class BioSeqAct_AttachVFX extends SequenceAction
    hidecategories(Object);

var() bool m_bActivateOnAttach;

var() ParticleSystem m_oParticles;

var() Vector m_vOffset;

var() Name m_nmSocket;

var() array<Actor> m_oAttachTo;

function Activated()
{
    local Pawn Op;
    local ParticleSystemComponent oEmitterComp;
    local int I;
    I = 0;
    while (I < m_oAttachTo.Length)
    {
        if (BioPlayerController(m_oAttachTo[I]) != None)
        {
            Op = BioPlayerController(m_oAttachTo[I]).Pawn;
        }
        else
        {
            Op = Pawn(m_oAttachTo[I]);
        }
        if (Op != None)
        {
            oEmitterComp = new(Class'ParticleSystemComponent');
            if (m_oParticles != None && Op.Mesh != None)
            {
                oEmitterComp.SetTemplate(m_oParticles);
                oEmitterComp.SetTranslation(m_vOffset);
                Op.Mesh.AttachComponentToSocket(oEmitterComp, m_nmSocket);
                if (m_bActivateOnAttach)
                {
                    oEmitterComp.ActivateSystem();
                }
            }
        }
        I++;
    }
}

defaultproperties
{
    m_bActivateOnAttach=true
    VariableLinks=None
}
