﻿class BioSeqAct_EnableCombat extends SequenceAction
    hidecategories(Object)
    native;

var bool m_bEnable;

function Activated()
{
    local BioPlayerController oController;
    local BioEpicPawnBehavior oBehavior;
    local BioPlayerSquad oSquad;
    OutputLinks[0].bHasImpulse = false;
    OutputLinks[1].bHasImpulse = false;
    oController = BioWorldInfo(GetWorldInfo()).GetLocalPlayerController();
    if (oController != None)
    {
        oBehavior = BioEpicPawnBehavior(oController.Pawn.oBioComponent);
        if (oBehavior != None && oBehavior.Squad != None)
        {
            oSquad = BioPlayerSquad(oBehavior.Squad);
            if (oSquad != None)
            {
                if (m_bEnable == false)
                {
                    if (BioVehicleBehaviorBase(oBehavior) == None)
                    {
                        if (oBehavior.SetActionState(0) == 0)
                        {
                            oController.PlayerSquadSetActionState(0);
                        }
                    }
                    else
                    {
                        if (BioPawnBehavior(oSquad.GetMember(0).oBioComponent).SetActionState(0) == 0)
                        {
                            oController.PlayerSquadSetActionState(0);
                        }
                    }
                }
                OutputLinks[0].bHasImpulse = true;
                return;
            }
        }
    }
    OutputLinks[1].bHasImpulse = true;
}

defaultproperties
{
    bCallHandler=false
    bManualHandleOutputs=true
    OutputLinks=None
}
