﻿class BioSeqAct_GetSquadInfo extends SequenceAction
    hidecategories(Object);

var int m_nHazardLevelMax;

var int m_nHackedCount;

var int m_nSquadCount;

var Pawn m_oSquadLeader;

var bool m_bIsEmpty;

var() bool bIncludeDeadInCount;

var() Actor m_oActor;

function Activated()
{
    local Pawn oPawn;
    local BioBaseSquad oSquad;
    local BioPlayerController oPlayer;
    local int I;
    local int VarIdx;
    local int LinkIdx;
    local SeqVar_ObjectList AList;
    local Pawn oSquadMember;
    local int nCount;
    oSquad = BioBaseSquad(m_oActor);
    oPawn = BioPawn(m_oActor);
    oPlayer = BioPlayerController(m_oActor);
    if (oSquad == None)
    {
        if (oPlayer != None)
        {
            oPawn = oPlayer.Pawn;
        }
        if (oPawn != None)
        {
            oSquad = BioEpicPawnBehavior(oPawn.oBioComponent).Squad;
        }
    }
    if (oSquad != None)
    {
        if (bIncludeDeadInCount)
        {
            m_nSquadCount = oSquad.GetSquadSize();
        }
        else
        {
            m_nSquadCount = 0;
            nCount = oSquad.GetSquadSize();
            I = 0;
            while (I < nCount)
            {
                oSquadMember = oSquad.GetMember(I);
                if (oSquadMember != None && oSquadMember.IsDead() == false)
                {
                    ++m_nSquadCount;
                }
                I++;
            }
        }
        m_oSquadLeader = oSquad.GetSquadLeader();
        m_nHackedCount = oSquad.GetHackedSquadSize();
        m_bIsEmpty = m_nSquadCount + m_nHackedCount == 0;
        m_nHazardLevelMax = oSquad.GetMaxHazardLevel();
        VarIdx = -1;
        I = 0;
        while (I < VariableLinks.Length)
        {
            if (VariableLinks[I].LinkDesc == "MemberList")
            {
                VarIdx = I;
                break;
            }
            ++I;
        }
        if (VarIdx != -1)
        {
            LinkIdx = 0;
            while (LinkIdx < VariableLinks[VarIdx].LinkedVariables.Length)
            {
                AList = SeqVar_ObjectList(VariableLinks[VarIdx].LinkedVariables[LinkIdx]);
                AList.ObjList.Length = 0;
                I = 0;
                while (I < nCount)
                {
                    oSquadMember = oSquad.GetMember(I);
                    if (oSquadMember != None)
                    {
                        if (bIncludeDeadInCount || oSquadMember.IsDead() == false)
                        {
                            AList.ObjList[AList.ObjList.Length] = oSquadMember;
                        }
                    }
                    I++;
                }
                LinkIdx++;
            }
        }
    }
    else
    {
        m_oSquadLeader = None;
        m_nSquadCount = 0;
        m_nHackedCount = 0;
        m_bIsEmpty = true;
        m_nHazardLevelMax = 0;
    }
}

defaultproperties
{
    VariableLinks=None
}
