﻿class BioSeqAct_OverrideStagePlacement extends SequenceAction
    hidecategories(Object)
    native;

var Actor m_aStage;

var Actor m_aPuppet2;

var Actor m_aPuppet2;

var Actor m_aPuppet1;

var Actor m_aPuppet1;

var Actor m_aNode4;

var Actor m_aNode3;

var Actor m_aNode2;

var Actor m_aNode1;

function SetNode(BioStage oStage, Actor aInput, Name nmNodeName)
{
    local Pawn oPawn;
    local PlayerController oPlayer;
    oPawn = Pawn(aInput);
    oPlayer = PlayerController(aInput);
    if (oPawn == None && oPlayer != None)
    {
        oPawn = oPlayer.Pawn;
    }
    oStage.SetActorToNode(aInput, nmNodeName);
}

function Activated()
{
    local BioStage oStage;
    oStage = BioStage(m_aStage);
    if (oStage == None)
    {
        return;
    }
    if (BioWorldInfo(GetWorldInfo()).m_oCurrentConversation != None && m_aStage != None && BioWorldInfo(GetWorldInfo()).m_oCurrentConversation.m_stage == m_aStage)
    {
        return;
    }
    SetNode(oStage, m_aPuppet1, 'Pup1');
    SetNode(oStage, m_aPuppet1, 'Pup1');
    SetNode(oStage, m_aPuppet2, 'Pup2');
    SetNode(oStage, m_aPuppet2, 'Pup2');
    SetNode(oStage, m_aNode1, 'Node1');
    SetNode(oStage, m_aNode2, 'Node2');
    SetNode(oStage, m_aNode3, 'Node3');
    SetNode(oStage, m_aNode4, 'Node4');
}

defaultproperties
{
    bCallHandler=false
    VariableLinks=None
}
