﻿class BioSeqAct_ShowCredits extends BioSequenceLatentAction
    hidecategories(Object)
    config(UI)
    native;

var bool m_bIsFinished;

var GFxMovieInfo m_oCreditsReferenced;

var config String m_sCreditsResourceConsole;

var config String m_sCreditsResource;

function Activated()
{
    local BioSFHandler_Credits oCreditsHandler;
    oCreditsHandler = MassEffectGuiManager(BioWorldInfo(GetWorldInfo()).GetLocalPlayerController().GetScaleFormManager()).PlayCredits();
    if (oCreditsHandler != None)
    {
        oCreditsHandler.bFromKismet = true;
        oCreditsHandler.SetOnCloseCallback(onScreenClosed);
    }
    else
    {
        bAborted = true;
        m_bIsFinished = true;
    }
}

function onScreenClosed()
{
    m_bIsFinished = true;
}

function bool UpdateOp(float fDeltaT)
{
    if (m_bIsFinished)
    {
        if (!bAborted)
        {
            OutputLinks[0].bHasImpulse = true;
            OutputLinks[1].bHasImpulse = false;
            OutputLinks[2].bHasImpulse = false;
        }
        else
        {
            OutputLinks[0].bHasImpulse = false;
            OutputLinks[1].bHasImpulse = true;
            OutputLinks[2].bHasImpulse = true;
        }
    }
    return m_bIsFinished;
}

event Deactivated()
{
    local BioWorldInfo oWorldInfo;
    local BioPlayerController oController;
    local MassEffectGuiManager oMgr;
    local BioSFPanel oPanel;
    oWorldInfo = BioWorldInfo(GetWorldInfo());
    oController = oWorldInfo.GetLocalPlayerController();
    if (oController != None)
    {
        oMgr = MassEffectGuiManager(oController.GetScaleFormManager());
        if (oMgr != None)
        {
            oPanel = oMgr.GetPanelByTag('Credits');
            if (oPanel != None)
            {
                oMgr.RemovePanel(oPanel);
            }
        }
    }
}

defaultproperties
{
    m_sCreditsResource="GUI_SF_Utility.Credits"
    bHasTargets=false
    VariableLinks=None
}
