﻿class BioStage extends Actor
    hidecategories(Navigation)
    config(Game)
    native;

struct native BioStageCameraCustom
{
    var String m_sCameraName;

    var float m_fCameraHeightDelta;

    var float m_fCameraPitchDelta;

    var float m_fCameraYawDelta;

    var float m_fCameraFOVDelta;

    var float m_fCameraNearPlaneDelta;

    var float m_fCameraFocusInnerRadiusDelta;

    var float m_fCameraFocusDistanceDelta;

    var bool m_bNewHeightAdjust;

    var bool m_bDisableHeightAdjust;

    var bool m_bDisableListenerAdjust;

}

var() transient Name m_sCurrentCamera;

var float m_fCameraFocusDistanceDelta;

var float m_fCameraFocusInnerRadiusDelta;

var float m_fCameraNearPlaneDelta;

var float m_fCameraFOVDelta;

var float m_fCameraYawDelta;

var float m_fCameraPitchDelta;

var float m_fCameraHeightDelta;

var() array<BioStageCameraCustom> m_CameraCustomList;

var transient Vector m_vOldPositon;

var transient Name m_sListenerTag;

var transient Name m_sSpeakerTag;

var transient float m_fSpeakerEyeHeight;

var transient float m_fSpeakerFeetZ;

var transient float m_fStageZ;

var transient float m_fHeightAdjust;

var() native transient Map_Mirror m_mapPlacement;

var transient bool m_bPositionLocked;

var transient config bool m_bDisableProceduralCameraAdjust;

var() BioStageType Type;

var /* 00000008 */ SkeletalMeshComponent Mesh;

var() bool m_bDOFActive;

var() bool m_bLookAtActive;

var() bool m_bDoHeightAdjustment;

var() bool Enabled;

native function SetActorToNode(Actor aInput, Name nmNodeName);

native function ProfileStage(BioHUD HUD);

defaultproperties
{
    Enabled=true
    m_bDoHeightAdjustment=true
    m_bLookAtActive=true
    m_bDOFActive=true
    Mesh=SkeletalMeshComponent'BioPawnSkeletalMeshComponent'
    Components=None
    // child object CollisionCylinder of type CylinderComponent
    // child object BioPawnSkeletalMeshComponent of type SkeletalMeshComponent
}
