﻿class BioSuperMode extends Object
    native;

enum EBioSuperModes
{
    BIO_SUPERMODE_BASE,
    BIO_SUPERMODE_INVALID,
};

enum EBioSophistication2DAColumnName
{
    BIO_SOPHISTICATION_2DA_COLUMN_NAME_TBASE,
    BIO_SOPHISTICATION_2DA_COLUMN_NAME_CBASE,
    BIO_SOPHISTICATION_2DA_COLUMN_NAME_TMAX,
    BIO_SOPHISTICATION_2DA_COLUMN_NAME_CMAX,
    BIO_SOPHISTICATION_2DA_COLUMN_NAME_TAR,
    BIO_SOPHISTICATION_2DA_COLUMN_NAME_CAR,
    BIO_SOPHISTICATION_2DA_COLUMN_NAME_MOVEMENT_AR,
    BIO_SOPHISTICATION_2DA_COLUMN_NAME_COUNT,
};

enum EBioRangeInfoStatus
{
    BIO_RANGE_INFO_STATUS_INVALID,
    BIO_RANGE_INFO_STATUS_INTERPOLATE,
    BIO_RANGE_INFO_STATUS_VALID,
};

enum EBioReticle
{
    RETICLE_COMBAT,
    RETICLE_BIOTIC,
    RETICLE_TECH,
    RETICLE_COUNT,
};

var() const float m_fSuppressionTimeThreshold;

var() const float m_fElevationThreshold;

var int m_nRangeRow;

var Name m_aSophistication2DAColumnName[7];

var bool m_bIgnoreReticleResetOnce;

var bool m_bTargetRequired;

var bool m_bIsActivated;

var bool m_bUpdateReticle;

var EBioRangeInfoStatus m_eRangeInfoStatus;

var const EBioReticle m_eReticleStatsIndex;

var EBioSuperModes m_eSuperModeType;

var native Actor Owner;

defaultproperties
{
    m_bUpdateReticle=true
    m_bTargetRequired=true
    m_aSophistication2DAColumnName=C_TBase
    m_aSophistication2DAColumnName=C_CBase
    m_aSophistication2DAColumnName=C_TMax
    m_aSophistication2DAColumnName=C_CMax
    m_aSophistication2DAColumnName=C_TAR
    m_aSophistication2DAColumnName=C_CAR
    m_aSophistication2DAColumnName=MoveAR
    m_nRangeRow=-1
    m_fElevationThreshold=200
    m_fSuppressionTimeThreshold=0,5
}
