﻿class SFXGalaxy extends SFXGalaxyMapObject
    hidecategories(Object,Conditions,Appearance)
    native;

var transient Bio2DA m_pRelayTable;

var transient Bio2DA m_pClusterTable;

var array<SFXCluster> Clusters;

native function bool LoadFrom2DA();

function SFXGalaxyMapObject AddChild()
{
    local SFXCluster newCluster;
    newCluster = new(self,Class'SFXCluster');
    Clusters.AddItem(newCluster);
    newCluster.NameText = "new Cluster";
    return newCluster;
}

function RemoveChild(SFXGalaxyMapObject Child)
{
    local SFXCluster C;
    local int Index;
    Index = Clusters.Find(SFXCluster(Child));
    if (Index >= 0)
    {
        Clusters[Index] = None;
    }
    foreach Clusters(C)
    {
        if (C != None)
        {
            C.RelayConnections.RemoveItem(SFXCluster(Child));
        }
    }
}

function GetChildren(out array<SFXGalaxyMapObject> Children)
{
    Children = Clusters;
}

defaultproperties
{
    m_pClusterTable=Bio2DA'Default2DA'
    m_pRelayTable=Bio2DA'Default2DA'
    Tag="Galaxy"
}
