﻿class SFXGalaxyMapObject extends Object
    hidecategories(Object)
    config(Game)
    abstract
    native;

var(Conditions) int UsableParameter;

var int UsableFunction;

var int UsableConditional;

var(Conditions) int VisibleParameter;

var int VisibleFunction;

var int VisibleConditional;

var(Conditions) EGalaxyObjectUsableAutoSet UsableConditionalName;

var(Conditions) EGalaxyObjectUsablePlotAutoSet UsableConditionalPlot;

var(Conditions) EBioRegionAutoSet UsableConditionalRegion;

var(Conditions) EGalaxyObjectVisibleAutoSet VisibleConditionalName;

var(Conditions) EGalaxyObjectVisiblePlotAutoSet VisibleConditionalPlot;

var(Conditions) EBioRegionAutoSet VisibleConditionalRegion;

var transient int nPreviouslySelectedIndex;

var(Appearance) float Scale;

// DisplayName: StringRefProperty[44]
var(Label) String NameText;

var transient String Tag;

var transient int TableID;

var int PosY;

var int PosX;

enum EGalaxyObjectVisiblePlotAutoSet
{
    GalaxyObjectVisiblePlot_Unset,
};

enum EGalaxyObjectVisibleAutoSet
{
    GalaxyObjectVisible_Unset,
};

enum EGalaxyObjectUsablePlotAutoSet
{
    GalaxyObjectUsablePlot_Unset,
};

enum EGalaxyObjectUsableAutoSet
{
    GalaxyObjectUsable_Unset,
};

event SFXGalaxyMapObject AddChild()
{
    return None;
}

event RemoveChild(SFXGalaxyMapObject Child);

event GetChildren(out array<SFXGalaxyMapObject> Children);

native exec function bool LoadFrom2DA();

event EnumerateChildren()
{
    local SFXGalaxyMapObject C;
    local int I;
    local array<SFXGalaxyMapObject> Children;
    GetChildren(Children);
    foreach Children(C)
    {
        // unresolved reference 117472768 ;
    }
}

defaultproperties
{
    TableID=-1
    Scale=1
    VisibleConditional=51
    UsableConditional=51
}
