﻿class SFXLoadoutData extends Object
    hidecategories(Object)
    native;

struct native PowerLevelUp
{
    var() class<SFXPower> PowerClass;

    var() float Rank;

    var() class<SFXPower> EvolvedPowerClass;

}

var(Powers) array<PowerLevelUp> PowerLevelUpInfo;

var(Powers) array<class<SFXPower> > Powers;

var(Resistances) float BioticResistance;

var(Resistances) float TechResistance;

var(Health) Vector2D HealthLevelRange;

var(Health) Vector2D MaxHealth;

var(Shields) array<ShieldLoadout> ShieldLoadouts;

var Vector2D MaxShields;

var(Shields) Vector ShieldOffset;

var(Shields) float ShieldScale;

var Vector2D ShieldLevelRange;

var array<class<SFXShield_Base> > Shields;

var(Armor) Vector2D ArmorLevelRange;

var(Armor) class<SFXArmor_Base> Armor;

var(Weapons) Vector2D WeaponLevelRange;

var(Weapons) array<class<SFXWeapon> > Weapons;

var const bool bEditableWeapons;

struct native ShieldLoadout
{
    var() class<SFXShield_Base> Shields;

    var() Vector2D ShieldLevelRange;

    var() Vector2D MaxShields;

}

defaultproperties
{
    WeaponLevelRange=(X=0,Y=9)
    Armor=class'SFXArmor_Light'
    ArmorLevelRange=(X=0,Y=9)
    MaxHealth=(X=150,Y=150)
    HealthLevelRange=(X=0,Y=9)
    TechResistance=1
    BioticResistance=1
}
