﻿class SFXNav_WayPoint extends NavigationPoint
    hidecategories(Navigation,Lighting,LightColor,Force)
    placeable;

var(Waypoint) bool m_bMaintainVelocity;

var(Waypoint) bool m_bPrecisionMovement;

var(Waypoint) float m_fMoveOffset;

var(Waypoint) float m_fDelay;

function bool OnPawnReachedWayPoint(Pawn oPawn)
{
    local int I;
    local bool bPause;
    bPause = false;
    I = 0;
    while (I < GeneratedEvents.Length)
    {
        if (ClassIsChildOf(GeneratedEvents[I].Class, Class'SFXSeqEvt_ReachedWaypoint'))
        {
            bPause = GeneratedEvents[I].CheckActivate(self, self);
            if (bPause)
            {
                GeneratedEvents[I].SetObjectVars("Pawn", oPawn);
            }
        }
        I++;
    }
    return bPause;
}

defaultproperties
{
    m_bMaintainVelocity=true
    CylinderComponent=None
    GoodSprite=None
    BadSprite=None
    Components=None
    2=System.Byte[]
    // child object CollisionCylinder of type CylinderComponent
}
