﻿class SFXSeqAct_MoveToNode extends SeqAct_Latent
    hidecategories(Object)
    native;

var int m_nReason;

var int nCompletionReason;

var float m_fTotalTimeRunning;

var bool m_bWasWalkingBefore;

var bool m_bDone;

var() bool bWalking;

var() float fTimeOut;

var() float fMoveOffset;

var() Actor oMoveTarget;

var() BioPawn oPawn;

function MoveToCallback(int nReason)
{
    m_bDone = true;
    m_nReason = nReason;
}

event CancelMove()
{
    local SFXAI_Core oAI;
    if (oPawn != None)
    {
        oAI = SFXAI_Core(oPawn.Controller);
        if (oAI != None)
        {
            oAI.CancelAction();
        }
    }
}

event MoveTo()
{
    local SFXAI_Core oAI;
    if (oPawn != None)
    {
        oAI = SFXAI_Core(oPawn.Controller);
        if (oAI != None)
        {
            oPawn.bIsWalking = bWalking;
            oAI.MoveToGoalExternal(oMoveTarget, fMoveOffset, MoveToCallback);
        }
    }
}

defaultproperties
{
    fTimeOut=60
    m_nReason=1
    bManualHandleOutputs=true
    InputLinks=None
}
