﻿class SFXSeqAct_SetDoorState extends BioSequenceLatentAction
    hidecategories(Object);

var() bool m_bInstantTransition;

var transient SFXDoor m_Door;

event Activated()
{
    Activated();
    if (m_Door != None)
    {
        if (InputLinks[5].bHasImpulse == true)
        {
            SetDoorState(4, false);
        }
        else
        {
            if (InputLinks[6].bHasImpulse == true)
            {
                if (m_Door.m_CurrentDoorState == 4)
                {
                    SetDoorState(m_Door.m_PreviousDoorState, true);
                }
            }
        }
        if (InputLinks[0].bHasImpulse == true)
        {
            SetDoorState(1, true);
        }
        else
        {
            if (InputLinks[1].bHasImpulse == true)
            {
                SetDoorState(0, false);
            }
            else
            {
                if (InputLinks[2].bHasImpulse == true)
                {
                    SetDoorState(2, false);
                }
                else
                {
                    if (InputLinks[3].bHasImpulse == true)
                    {
                        SetDoorState(3, false);
                    }
                    else
                    {
                        if (InputLinks[4].bHasImpulse == true)
                        {
                            SetDoorState(0, false);
                        }
                    }
                }
            }
        }
    }
}

function SetDoorState(ESFXDoorState ToState, bool bEnableDoor)
{
    if (m_Door.m_CurrentDoorState != 4)
    {
        m_Door.SetDoorState(ToState, None, m_bInstantTransition);
    }
    else
    {
        if (m_Door.m_CurrentDoorState == 4 && bEnableDoor)
        {
            m_Door.SetDoorState(ToState, None, m_bInstantTransition);
        }
        else
        {
            m_Door.m_PreviousDoorState = ToState;
            m_Door.SaveDoorStates();
        }
    }
}

function bool UpdateOp(float fDeltaT)
{
    if (m_Door.m_bIsTransitioning == false)
    {
        OutputLinks[0].bHasImpulse = true;
        return true;
    }
    return false;
}

defaultproperties
{
    bHasTargets=false
    bCallHandler=false
    bManualHandleOutputs=true
    InputLinks=None
}
